#! /bin/sh
##########################################################################################
#! /bin/sh
#delete_shell_comment
###########################################################################################
###########################################################################################
trap "" SIGHUP
trap ":" INT QUIT TSTP
PATH=/sbin:/bin:/usr/sbin:/usr/bin
runlevel=S
prevlevel=N
umask 022
export PATH runlevel prevlevel
###########################################################################################
###########################################################################################
copy_telefonie_defaults() {
tmp_file_name=$1
tmp_oem=$2
tmp_country=$3
tmp_index=$4
if /usr/bin/checkempty /var/flash/${tmp_file_name}; then
if [ -f /etc/default.${tmp_country}/${tmp_file_name}.${tmp_oem}.${tmp_index} ] ; then
echo "cp /etc/default.${tmp_country}/${tmp_file_name}.${tmp_oem}.${tmp_index} /var/flash/${tmp_file_name}"
cp /etc/default.${tmp_country}/${tmp_file_name}.${tmp_oem}.${tmp_index} /var/flash/${tmp_file_name}
return
fi
if [ -f /etc/default.${tmp_country}/${tmp_file_name}.${tmp_oem} ] ; then
echo "cp /etc/default.${tmp_country}/${tmp_file_name}.${tmp_oem} /var/flash/${tmp_file_name}"
cp /etc/default.${tmp_country}/${tmp_file_name}.${tmp_oem} /var/flash/${tmp_file_name}
return
fi
if [ -f /etc/default.${tmp_country}/${tmp_file_name}.default.${tmp_index} ] ; then
echo "cp /etc/default.${tmp_country}/${tmp_file_name}.default.${tmp_index} /var/flash/${tmp_file_name}"
cp /etc/default.${tmp_country}/${tmp_file_name}.default.${tmp_index} /var/flash/${tmp_file_name}
return
fi
if [ -f /etc/default.${tmp_country}/${tmp_file_name}.default ] ; then
echo "cp /etc/default.${tmp_country}/${tmp_file_name}.default /var/flash/${tmp_file_name}"
cp /etc/default.${tmp_country}/${tmp_file_name}.default /var/flash/${tmp_file_name}
return
fi
fi
}
###########################################################################################
###########################################################################################
link_telefonie_defaults() {
tmp_file_name=$1
tmp_oem=$2
tmp_country=$3
tmp_index=$4
if [ -f /etc/default.${tmp_country}/${tmp_file_name}.${tmp_oem}.${tmp_index} ] ; then
ln -s /etc/default.${tmp_country}/${tmp_file_name}.${tmp_oem}.${tmp_index} /var/${tmp_file_name}
return
fi
if [ -f /etc/default.${tmp_country}/${tmp_file_name}.${tmp_oem} ] ; then
ln -s /etc/default.${tmp_country}/${tmp_file_name}.${tmp_oem} /var/${tmp_file_name}
return
fi
if [ -f /etc/default.${tmp_country}/${tmp_file_name}.default.${tmp_index} ] ; then
ln -s /etc/default.${tmp_country}/${tmp_file_name}.default.${tmp_index} /var/${tmp_file_name}
return
fi
if [ -f /etc/default.${tmp_country}/${tmp_file_name}.default ] ; then
ln -s /etc/default.${tmp_country}/${tmp_file_name}.default /var/${tmp_file_name}
return
fi
}
###########################################################################################
###########################################################################################
error_led() {
if [ -n "$2" ] ; then
echo "*** ERROR: $2 ***"
fi
echo "SET error,0 = $((0x40 + (4 * ($1 - 1)) + 1))" >/dev/new_led
}
##########################################################################################
## rc.S for 2.6 Kernel
##########################################################################################
[ -f /dev/.hotplug-cache ] || mount -o nosuid -t tmpfs dev /dev
/sbin/makedevs -d /etc/device.table /
mount -a
##########################################################################################
##########################################################################################
echo init-start 240 >/dev/watchdog

# Load boot loader kernel_args API
. /usr/bin/kernel_args
# Backup kernel log ring buffer ASAP, so as not to lose its earliest entries
if ka_isActiveVariable SaveKernelRingBuffer; then
	ka_decreaseValue SaveKernelRingBuffer
	dmesg > /var/dmesg-rc.S.log
fi
# Initiate inotify-tools file access logging
if ka_isActiveVariable InotifyBootAnalysis; then
	ka_decreaseValue InotifyBootAnalysis
	/etc/init.d/rc.inotify-tools start 
fi

##########################################################################################
## aus den kernel parameters die fr die module ermitteln
##########################################################################################
avm_event_param=
atm_param=
ar7wdt_param=
cpmac_param=
i2c_param=
annex_param=
for i in `cat /proc/cmdline` ; do
case $i in
avm_event_*)
avm_event_param=$i
;;
atm_*)
atm_param="$atm_param $i"
;;
ar7wdt_*)
ar7wdt_param="$ar7wdt_param $i"
;;
cfg_*)
cpmac_param="$cpmac_param $i"
;;
i2c_*)
i2c_param="$i2c_param $i"
;;
annex=*)
annex_param=${i##annex=}
;;
CPU_NR=*)
CPU_NR=${i##CPU_NR=}
;;
*)
;;
esac
done
########################################################################
## set firmware_info
##########################################################################################
if [ -n "$CPU_NR" ] && [ "$CPU_NR" = "2" ] ; then
echo "no config jet !"
else
export CONFIG_ENVIRONMENT_PATH=/proc/sys/urlader
echo firmware_info `/etc/version` >$CONFIG_ENVIRONMENT_PATH/environment
cat $CONFIG_ENVIRONMENT_PATH/environment >/var/env
cat /var/env
fi
##########################################################################################
## /var filesystem mit leben fuellen
##########################################################################################
tar xf var.tar
##########################################################################################
## Config fuer verschiedene Boxen
##########################################################################################
if [ -n "$CPU_NR" ] && [ "$CPU_NR" = "2" ] ; then
echo "no OEM Setings jet !"
else
#########################################################################
## NODES init
#########################################################################
major=`grep tffs /proc/devices`
tffs_major=${major%%tffs}
if [ ! -d /var/flash ] ; then
mkdir -p /var/flash ;
fi
#########################################################################
## internetworking
## FLASH_FS_ID_CONFIG_0 = 0x0070, /*--- /var/flash/udhcpd.leases ---*/
## FLASH_FS_ID_CONFIG_1 = 0x0071, /*--- /var/flash/ar7.cfg ---*/
## FLASH_FS_ID_CONFIG_2 = 0x0072, /*--- /var/flash/voip.cfg ---*/
## FLASH_FS_ID_CONFIG_3 = 0x0073, /*--- /var/flash/wlan.cfg ---*/
## FLASH_FS_ID_CONFIG_4 = 0x0074, /*--- /var/flash/ar7stat.cfg ---*/
## FLASH_FS_ID_CONFIG_5 = 0x0075, /*--- /var/flash/net.update ---*/
## FLASH_FS_ID_CONFIG_6 = 0x0076, /*--- /var/flash/vpn.cfg ---*/
## FLASH_FS_ID_CONFIG_7 = 0x0077, /*--- /var/flash/tr069.cfg ---*/
## FLASH_FS_ID_CONFIG_8 = 0x0078, /*--- /var/flash/user.cfg ---*/
## FLASH_FS_ID_CONFIG_9 = 0x0079, /*--- /var/flash/userstat.cfg ---*/
## FLASH_FS_ID_CONFIG_10 = 0x007A, /*--- /var/flash/voipd_call_stat ---*/
## FLASH_FS_ID_CONFIG_11 = 0x007B, /*--- /var/flash/rext.cfg ---*/
## FLASH_FS_ID_CONFIG_12 = 0x007C, /*--- /var/flash/nlr.cfg ---*/
## FLASH_FS_ID_CONFIG_13 = 0x007D, /*--- /var/flash/pin ---*/
## FLASH_FS_ID_CONFIG_14 = 0x007E, /*--- /var/flash/hcid.conf ---*/
## FLASH_FS_ID_CONFIG_15 = 0x007F, /*--- /var/flash/link_key ---*/
## FLASH_FS_ID_CERTCFG = 0x00D0, /*--- /var/flash/cert.cfg ---*/
## FLASH_FS_ID_USBCFG = 0x00D1, /*--- /var/flash/usb.cfg ---*/
## FLASH_FS_ID_XDSLMODE = 0x00D2, /*--- /var/flash/xdslmode ---*/
#########################################################################
mknod /var/flash/multid.leases c $tffs_major $((0x70))
mknod /var/flash/ar7.cfg c $tffs_major $((0x71))
mknod /var/flash/net.update c $tffs_major $((0x75))
mknod /var/flash/vpn.cfg c $tffs_major $((0x76))
mknod /var/flash/tr069.cfg c $tffs_major $((0x77))
mknod /var/flash/cert.cfg c $tffs_major $((0xD0))
mknod /var/flash/usb.cfg c $tffs_major $((0xD1))
mknod /var/flash/xdslmode c $tffs_major $((0xD2))
mknod /var/flash/timeprofile.cfg c $tffs_major $((0xD5))
#########################################################################
## statistic
#########################################################################
mknod /var/flash/stat.cfg c $tffs_major $((0x74))
#########################################################################
## wlan
#########################################################################
mknod /var/flash/wlan.cfg c $tffs_major $((0x73))
#########################################################################
## kids
#########################################################################
mknod /var/flash/user.cfg c $tffs_major $((0x78))
mknod /var/flash/userstat.cfg c $tffs_major $((0x79))
#########################################################################
## telephony
#########################################################################
mknod /var/flash/voip.cfg c $tffs_major $((0x72))
mknod /var/flash/voipd_call_stat c $tffs_major $((0x7A))
#########################################################################
## freetz
#########################################################################
mknod /var/flash/freetz c $tffs_major $((0x3c))
/usr/bin/modload 2>&1 | tee /var/log/mod_load.log
## mknod /var/flash/telefon_msns c $tffs_major $((0x80)) entfaellt mit tecfg v54
#########################################################################
## FLASH_FS_ID_MSNLISTE = 0x0080, /*--- /var/flash/telefon_msns ---*/
## FLASH_FS_ID_TEL_CONFIG = 0x0081, /*--- /var/flash/fx_conf ---*/
## FLASH_FS_ID_TEL_LCR = 0x0082, /*--- /var/flash/fx_lcr ---*/
## FLASH_FS_ID_TEL_MOH = 0x0083, /*--- /var/flash/ansage_moh1 ---*/
## FLASH_FS_ID_TEL_CG = 0x0084, /*--- /var/flash/fx_cg ---*/
## FLASH_FS_ID_TELCFG_MISC = 0x0085, /*--- /var/flash/telefon_misc ---*/
## FLASH_FS_ID_TEL_MOH2 = 0x0086, /*--- /var/flash/ansage_moh2 ---*/
## FLASH_FS_ID_TEL_NO_SERVICE = 0x0087, /*--- /var/flash/ansage_no_service ---*/
## FLASH_FS_ID_TEL_NO_NUMBER = 0x0088, /*--- /var/flash/ansage_no_number ---*/
## FLASH_FS_ID_TEL_USER1 = 0x0089, /*--- /var/flash/ansage_user ---*/
## FLASH_FS_ID_TEL_USER2 = 0x008A, /*--- /var/flash/ansage_user2 ---*/
## FLASH_FS_ID_TEL_USER3 = 0x008B, /*--- /var/flash/ansage_user3 ---*/
## FLASH_FS_ID_TEL_USER4 = 0x008C, /*--- /var/flash/ansage_user4 ---*/
#########################################################################
## FLASH_FS_ID_MSNLISTE = 0x0080, /*--- /var/flash/telefon_msns ---*/
mknod /var/flash/telefon_misc c $tffs_major $((0x85))
mknod /var/flash/fx_cg c $tffs_major $((0x84))
mknod /var/flash/fx_moh c $tffs_major $((0x83))
mknod /var/flash/fx_lcr c $tffs_major $((0x82))
mknod /var/flash/fx_conf c $tffs_major $((0x81))
mknod /var/flash/calllog c $tffs_major $((0x8D))
mknod /var/flash/phonebook c $tffs_major $((0x8E))
mknod /var/flash/fonctrl c $tffs_major $((0x8F))
#########################################################################
## DECT
#########################################################################
mknod /var/flash/aura-usb c $tffs_major $((0xA0))
mknod /var/flash/configd c $tffs_major $((0xA1))
#########################################################################
## davinci:
## g.diesing: ID A8 leider doppelt vergeben
## FLASH_FS_ID_DAVINCI_COOKIES = 0x00A8, /*--- /var/flash/cookies.txt ---*/
## FLASH_FS_ID_DAVINCI_CONFIG = 0x00A9, /*--- /var/flash/davinci.cfg ---*/
#########################################################################
mknod /var/flash/browser-data c $tffs_major $((0xA8))
#########################################################################
## HTTPS-Fernzugang und TR-064-SSL
#########################################################################
mknod /var/flash/websrv_ssl_key.pem c $tffs_major $((0xC9))
mknod /var/flash/websrv_ssl_cert.pem c $tffs_major $((0xCA))
## Laden der Provider-defaults (statisch eingebunden vor rc.conf)
##########################################################################################
## P-Defaults - ingnoriert derzeit bei der WE auswahl eventuelle laufzeitparameter
##########################################################################################
copy_provider_default()
{
local DIR=/var/flash/provider_default
mkdir -p $DIR
mknod $DIR/$1 c $tffs_major $2
if checkempty /var/flash/$1 && ! checkempty $DIR/$1 ; then
echo "P-Defaults: cp $1"
cat $DIR/$1 >/var/flash/$1
fi
}
provider_default_config()
{
## In state of factory defaults ar7.cfg is always empty
if ! checkempty /var/flash/ar7.cfg ; then
echo "P-Defaults: do nothing"
return
fi
local DIR=/var/flash/provider_default
mkdir -p $DIR
## mindestens der OEM wird benoetigt (fuer *cfgconv,*cfgctl)
. /etc/init.d/rc.conf
if ! [ "${CONFIG_PROV_DEFAULT}" = "y" ] ; then
## nicht ausfhren, falls enthalten, jedoch aber zur laufzeit deaktiviert
echo "P-Defaults: not configured - skip."
return
fi
echo "P-Defaults: and action..."
mknod $DIR/ar7.cfg.diff c $tffs_major $((0x1f))
if ! checkempty $DIR/ar7.cfg.diff ; then
echo "P-Defaults: merge ar7.cfg"
allcfgconv -C ar7 -e -m $DIR/ar7.cfg.diff
local COUNTRY="`echo provider_default.country | ar7cfgctl -s 2>/dev/null | sed s/\\"//g`"
if [ "$COUNTRY" != "" ] ; then
if ! setcountry $COUNTRY ; then
echo "P-Defaults: setcountry failed"
fi
fi
fi
mknod $DIR/voip.cfg.diff c $tffs_major $((0x22))
if checkempty /var/flash/voip.cfg && ! checkempty $DIR/voip.cfg.diff ; then
echo "P-Defaults: merge voip.cfg"
allcfgconv -C voip -e -m $DIR/voip.cfg.diff
fi
mknod $DIR/wlan.cfg.diff c $tffs_major $((0x23))
if checkempty /var/flash/wlan.cfg && ! checkempty $DIR/wlan.cfg.diff ; then
echo "P-Defaults: merge wlan.cfg"
wlancfgconv -e -m $DIR/wlan.cfg.diff
fi
mknod $DIR/usb.cfg.diff c $tffs_major $((0x4a))
if checkempty /var/flash/usb.cfg && ! checkempty $DIR/usb.cfg.diff ; then
echo "P-Defaults: merge usb.cfg"
usbcfgconv -e -m $DIR/usb.cfg.diff
fi
mknod $DIR/tr069.cfg.diff c $tffs_major $((0x27))
if checkempty /var/flash/tr069.cfg && ! checkempty $DIR/tr069.cfg.diff ; then
echo "P-Defaults: merge tr069.cfg"
allcfgconv -C tr069 -e -m $DIR/tr069.cfg.diff
fi
mknod $DIR/vpn.cfg.diff c $tffs_major $((0x26))
if checkempty /var/flash/vpn.cfg && ! checkempty $DIR/vpn.cfg.diff ; then
echo "P-Defaults: merge vpn.cfg"
allcfgconv -C vpn -e -m $DIR/vpn.cfg.diff
fi
mknod $DIR/user.cfg.diff c $tffs_major $((0x28))
if checkempty /var/flash/user.cfg && ! checkempty $DIR/user.cfg.diff ; then
echo "P-Defaults: merge user.cfg"
allcfgconv -C user -e -m $DIR/user.cfg.diff
fi
copy_provider_default fx_cg $((0x34))
copy_provider_default fx_conf $((0x31))
copy_provider_default fx_lcr $((0x32))
copy_provider_default telefon_misc $((0x35))
copy_provider_default phonebook $((0x3e))
copy_provider_default calllog $((0x3d))
copy_provider_default dect_misc $((0x44))
copy_provider_default fonctrl $((0x3f))
copy_provider_default dect_eeprom $((0x45))
copy_provider_default dmgr_handset_user $((0x46))
copy_provider_default umts.cfg $((0x4c))
copy_provider_default configd $((0x4f))
echo "P-Defaults: ...done."
}
provider_default_config
## P-Defaults - ende
VERBOSE_RC_CONF=y
. /etc/init.d/rc.conf
ln -s /usr/www/$OEM /var/html
## mglichkeit, flash-seite umzubiegen (hier der default gesetzt)
if [ -f /var/html/html/$Language/tools/flash.html ] ; then
## stay kompatible to old-style pages
ln -s /var/html/html/$Language/tools/flash.html /var/flash.html
else
## new style pages (with language-db)
ln -s /var/html/html/tools/flash.html /var/flash.html
fi
fi
[ -x /sbin/avmlogd ] && [ "`echo avmlogd.enabled | ar7cfgctl -s`" = yes ] && /sbin/avmlogd
[ -x /sbin/ewnwledd ] && /sbin/ewnwledd
##########################################################################################
## neues led-if
##########################################################################################
if [ ! -f /etc/led.conf ] ; then
echo "starting AVM_LED_EVENTS"
modprobe led_module
fi
##########################################################################################
##########################################################################################
#! /bin/sh
if [ -z ${CONFIG_DEF} ] ; then
CONFIG_DEF=/var/config.def
fi
if [ ! -f ${CONFIG_DEF} ] ; then
isUsbPrint=0
if [ -n "${CONFIG_USB_HOST}" ] && [ "${CONFIG_USB_HOST}" = "y" ] && \
[ -n "${CONFIG_USB_PRINT_SERV}" ] && [ "${CONFIG_USB_PRINT_SERV}" = "y" ]; then
isUsbPrint=1
fi
if [ -n "${CONFIG_USB_HOST_AVM}" ] && [ "${CONFIG_USB_HOST_AVM}" = "y" ] && \
[ -n "${CONFIG_USB_PRINT_SERV}" ] && [ "${CONFIG_USB_PRINT_SERV}" = "y" ]; then
isUsbPrint=1
fi
if [ -n "${CONFIG_USB_HOST_TI}" ] && [ "${CONFIG_USB_HOST_TI}" = "y" ] && \
[ -n "${CONFIG_USB_PRINT_SERV}" ] && [ "${CONFIG_USB_PRINT_SERV}" = "y" ]; then
isUsbPrint=1
fi
echo "<? setvariable var:isUsbPrint '$isUsbPrint' ?>" >>${CONFIG_DEF}
isIsdnTE=0
if [ -n "${CONFIG_CAPI_TE}" ] && [ "${CONFIG_CAPI_TE}" = "y" ]; then
isIsdnTE=1
fi
if [ -n "${CONFIG_CAPI_TE}" ] && [ "${CONFIG_CAPI_TE}" = "n" ]; then
isIsdnTE=0
fi
echo "<? setvariable var:isIsdnTE '$isIsdnTE' ?>" >>${CONFIG_DEF}
isNtfs=0
if [ -n "${CONFIG_NTFS}" ] && [ "${CONFIG_NTFS}" = "y" ]; then
isNtfs=1
fi
if [ -n "${CONFIG_NTFS}" ] && [ "${CONFIG_NTFS}" = "n" ]; then
isNtfs=0
fi
echo "<? setvariable var:isNtfs '$isNtfs' ?>" >>${CONFIG_DEF}
isWlan1130=0
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "y" ] && \
[ -n "${CONFIG_WLAN_1130TNET}" ] && [ "${CONFIG_WLAN_1130TNET}" = "y" ]; then
isWlan1130=1
fi
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "n" ]; then
isWlan1130=0
fi
echo "<? setvariable var:isWlan1130 '$isWlan1130' ?>" >>${CONFIG_DEF}
isAtaFull=0
if [ -n "${CONFIG_ATA}" ] && [ "${CONFIG_ATA}" = "y" ] && \
[ -n "${CONFIG_ATA_FULL}" ] && [ "${CONFIG_ATA_FULL}" = "y" ]; then
isAtaFull=1
fi
if [ -n "${CONFIG_ATA}" ] && [ "${CONFIG_ATA}" = "n" ]; then
isAtaFull=0
fi
echo "<? setvariable var:isAtaFull '$isAtaFull' ?>" >>${CONFIG_DEF}
isWlanIptv=0
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "y" ] && \
[ -n "${CONFIG_WLAN_IPTV}" ] && [ "${CONFIG_WLAN_IPTV}" = "y" ]; then
isWlanIptv=1
fi
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "n" ]; then
isWlanIptv=0
fi
echo "<? setvariable var:isWlanIptv '$isWlanIptv' ?>" >>${CONFIG_DEF}
isTamMode=0
if [ -n "${CONFIG_TAM}" ] && [ "${CONFIG_TAM}" = "y" ] && \
[ -n "${CONFIG_TAM_MODE}" ]; then
isTamMode=${CONFIG_TAM_MODE}
fi
if [ -n "${CONFIG_TAM}" ] && [ "${CONFIG_TAM}" = "n" ]; then
isTamMode=0
fi
echo "<? setvariable var:isTamMode '$isTamMode' ?>" >>${CONFIG_DEF}
isWlanWds=0
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "y" ] && \
[ -n "${CONFIG_WLAN_WDS}" ] && [ "${CONFIG_WLAN_WDS}" = "y" ]; then
isWlanWds=1
fi
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "n" ]; then
isWlanWds=0
fi
echo "<? setvariable var:isWlanWds '$isWlanWds' ?>" >>${CONFIG_DEF}
isStoreUsrCfg=0
if [ -n "${CONFIG_STOREUSRCFG}" ] && [ "${CONFIG_STOREUSRCFG}" = "y" ]; then
isStoreUsrCfg=1
fi
if [ -n "${CONFIG_STOREUSRCFG}" ] && [ "${CONFIG_STOREUSRCFG}" = "n" ]; then
isStoreUsrCfg=0
fi
echo "<? setvariable var:isStoreUsrCfg '$isStoreUsrCfg' ?>" >>${CONFIG_DEF}
isMailD=0
if [ -n "${CONFIG_MAILD}" ] && [ "${CONFIG_MAILD}" = "y" ]; then
isMailD=1
fi
if [ -n "${CONFIG_MAILD}" ] && [ "${CONFIG_MAILD}" = "n" ]; then
isMailD=0
fi
echo "<? setvariable var:isMailD '$isMailD' ?>" >>${CONFIG_DEF}
isEco=0
if [ -n "${CONFIG_ECO}" ] && [ "${CONFIG_ECO}" = "y" ]; then
isEco=1
fi
if [ -n "${CONFIG_ECO}" ] && [ "${CONFIG_ECO}" = "n" ]; then
isEco=0
fi
echo "<? setvariable var:isEco '$isEco' ?>" >>${CONFIG_DEF}
isDsl=0
if [ -n "${CONFIG_DSL}" ] && [ "${CONFIG_DSL}" = "y" ]; then
isDsl=1
fi
if [ -n "${CONFIG_DSL}" ] && [ "${CONFIG_DSL}" = "n" ]; then
isDsl=0
fi
echo "<? setvariable var:isDsl '$isDsl' ?>" >>${CONFIG_DEF}
isOnlinePb=0
if [ -n "${CONFIG_ONLINEPB}" ] && [ "${CONFIG_ONLINEPB}" = "y" ]; then
isOnlinePb=1
fi
if [ -n "${CONFIG_ONLINEPB}" ] && [ "${CONFIG_ONLINEPB}" = "n" ]; then
isOnlinePb=0
fi
echo "<? setvariable var:isOnlinePb '$isOnlinePb' ?>" >>${CONFIG_DEF}
isWebSrv=0
if [ -n "${CONFIG_WEBSRV}" ] && [ "${CONFIG_WEBSRV}" = "y" ]; then
isWebSrv=1
fi
if [ -n "${CONFIG_WEBSRV}" ] && [ "${CONFIG_WEBSRV}" = "n" ]; then
isWebSrv=0
fi
echo "<? setvariable var:isWebSrv '$isWebSrv' ?>" >>${CONFIG_DEF}
isSessonId=0
if [ -n "${CONFIG_SESSIONID}" ] && [ "${CONFIG_SESSIONID}" = "y" ]; then
isSessonId=1
fi
if [ -n "${CONFIG_SESSIONID}" ] && [ "${CONFIG_SESSIONID}" = "n" ]; then
isSessonId=0
fi
echo "<? setvariable var:isSessonId '$isSessonId' ?>" >>${CONFIG_DEF}
isUsbGsm=0
if [ -n "${CONFIG_USB_GSM}" ] && [ "${CONFIG_USB_GSM}" = "y" ]; then
isUsbGsm=1
fi
if [ -n "${CONFIG_USB_GSM}" ] && [ "${CONFIG_USB_GSM}" = "n" ]; then
isUsbGsm=0
fi
echo "<? setvariable var:isUsbGsm '$isUsbGsm' ?>" >>${CONFIG_DEF}
isSrtp=0
if [ -n "${CONFIG_SRTP}" ] && [ "${CONFIG_SRTP}" = "y" ]; then
isSrtp=1
fi
if [ -n "${CONFIG_SRTP}" ] && [ "${CONFIG_SRTP}" = "n" ]; then
isSrtp=0
fi
echo "<? setvariable var:isSrtp '$isSrtp' ?>" >>${CONFIG_DEF}
isSamba=0
if [ -n "${CONFIG_SAMBA}" ] && [ "${CONFIG_SAMBA}" = "y" ]; then
isSamba=1
fi
if [ -n "${CONFIG_SAMBA}" ] && [ "${CONFIG_SAMBA}" = "n" ]; then
isSamba=0
fi
echo "<? setvariable var:isSamba '$isSamba' ?>" >>${CONFIG_DEF}
isDect=0
if [ -n "${CONFIG_DECT}" ] && [ "${CONFIG_DECT}" = "y" ]; then
isDect=1
fi
if [ -n "${CONFIG_DECT}" ] && [ "${CONFIG_DECT}" = "n" ]; then
isDect=0
fi
echo "<? setvariable var:isDect '$isDect' ?>" >>${CONFIG_DEF}
isExpert=0
if [ -n "${CONFIG_EXPERT}" ] && [ "${CONFIG_EXPERT}" = "1" ]; then
isExpert=1
fi
if [ -n "${CONFIG_EXPERT}" ] && [ "${CONFIG_EXPERT}" = "0" ]; then
isExpert=0
fi
echo "<? setvariable var:isExpert '$isExpert' ?>" >>${CONFIG_DEF}
isUsbHost=0
if [ -n "${CONFIG_USB_HOST}" ] && [ "${CONFIG_USB_HOST}" = "y" ]; then
isUsbHost=1
fi
if [ -n "${CONFIG_USB_HOST_AVM}" ] && [ "${CONFIG_USB_HOST_AVM}" = "y" ]; then
isUsbHost=1
fi
if [ -n "${CONFIG_USB_HOST_TI}" ] && [ "${CONFIG_USB_HOST_TI}" = "y" ]; then
isUsbHost=1
fi
echo "<? setvariable var:isUsbHost '$isUsbHost' ?>" >>${CONFIG_DEF}
isMtdMail=0
if [ -n "${CONFIG_MTD_MAIL}" ] && [ "${CONFIG_MTD_MAIL}" = "y" ]; then
isMtdMail=1
fi
if [ -n "${CONFIG_MTD_MAIL}" ] && [ "${CONFIG_MTD_MAIL}" = "n" ]; then
isMtdMail=0
fi
echo "<? setvariable var:isMtdMail '$isMtdMail' ?>" >>${CONFIG_DEF}
isConfigD=0
if [ -n "${CONFIG_CONFIGD}" ] && [ "${CONFIG_CONFIGD}" = "y" ]; then
isConfigD=1
fi
if [ -n "${CONFIG_CONFIGD}" ] && [ "${CONFIG_CONFIGD}" = "n" ]; then
isConfigD=0
fi
echo "<? setvariable var:isConfigD '$isConfigD' ?>" >>${CONFIG_DEF}
isFonBook2=0
if [ -n "${CONFIG_FONBOOK2}" ] && [ "${CONFIG_FONBOOK2}" = "y" ]; then
isFonBook2=1
fi
if [ -n "${CONFIG_FONBOOK2}" ] && [ "${CONFIG_FONBOOK2}" = "n" ]; then
isFonBook2=0
fi
echo "<? setvariable var:isFonBook2 '$isFonBook2' ?>" >>${CONFIG_DEF}
isUsbStorageSpindown=0
if [ -n "${CONFIG_USB_STORAGE}" ] && [ "${CONFIG_USB_STORAGE}" = "y" ] && \
[ -n "${CONFIG_USB_STORAGE_SPINDOWN}" ] && [ "${CONFIG_USB_STORAGE_SPINDOWN}" = "y" ]; then
isUsbStorageSpindown=1
fi
if [ -n "${CONFIG_USB_STORAGE}" ] && [ "${CONFIG_USB_STORAGE}" = "n" ]; then
isUsbStorageSpindown=0
fi
echo "<? setvariable var:isUsbStorageSpindown '$isUsbStorageSpindown' ?>" >>${CONFIG_DEF}
isSqliteBilder=0
if [ -n "${CONFIG_SQLITE_BILDER}" ] && [ "${CONFIG_SQLITE_BILDER}" = "y" ]; then
isSqliteBilder=1
fi
if [ -n "${CONFIG_SQLITE_BILDER}" ] && [ "${CONFIG_SQLITE_BILDER}" = "n" ]; then
isSqliteBilder=0
fi
echo "<? setvariable var:isSqliteBilder '$isSqliteBilder' ?>" >>${CONFIG_DEF}
isVpn=0
if [ -n "${CONFIG_VPN}" ] && [ "${CONFIG_VPN}" = "y" ]; then
isVpn=1
fi
if [ -n "${CONFIG_VPN}" ] && [ "${CONFIG_VPN}" = "n" ]; then
isVpn=0
fi
echo "<? setvariable var:isVpn '$isVpn' ?>" >>${CONFIG_DEF}
isVdsl=0
if [ -n "${CONFIG_VDSL}" ] && [ "${CONFIG_VDSL}" = "y" ]; then
isVdsl=1
fi
if [ -n "${CONFIG_VDSL}" ] && [ "${CONFIG_VDSL}" = "n" ]; then
isVdsl=0
fi
echo "<? setvariable var:isVdsl '$isVdsl' ?>" >>${CONFIG_DEF}
isOnlineHelp=0
if [ -n "${CONFIG_ONLINEHELP}" ] && [ "${CONFIG_ONLINEHELP}" = "y" ]; then
isOnlineHelp=1
fi
if [ -n "${CONFIG_ONLINEHELP}" ] && [ "${CONFIG_ONLINEHELP}" = "n" ]; then
isOnlineHelp=0
fi
echo "<? setvariable var:isOnlineHelp '$isOnlineHelp' ?>" >>${CONFIG_DEF}
isAta=0
if [ -n "${CONFIG_ATA}" ] && [ "${CONFIG_ATA}" = "y" ]; then
isAta=1
fi
if [ -n "${CONFIG_ATA}" ] && [ "${CONFIG_ATA}" = "n" ]; then
isAta=0
fi
echo "<? setvariable var:isAta '$isAta' ?>" >>${CONFIG_DEF}
isQosMeter=0
if [ -n "${CONFIG_QOS_METER}" ] && [ "${CONFIG_QOS_METER}" = "y" ]; then
isQosMeter=1
fi
if [ -n "${CONFIG_QOS_METER}" ] && [ "${CONFIG_QOS_METER}" = "n" ]; then
isQosMeter=0
fi
echo "<? setvariable var:isQosMeter '$isQosMeter' ?>" >>${CONFIG_DEF}
isUsbStorage=0
if [ -n "${CONFIG_USB_HOST}" ] && [ "${CONFIG_USB_HOST}" = "y" ] && \
[ -n "${CONFIG_USB_STORAGE}" ] && [ "${CONFIG_USB_STORAGE}" = "y" ]; then
isUsbStorage=1
fi
if [ -n "${CONFIG_USB_HOST_AVM}" ] && [ "${CONFIG_USB_HOST_AVM}" = "y" ] && \
[ -n "${CONFIG_USB_STORAGE}" ] && [ "${CONFIG_USB_STORAGE}" = "y" ]; then
isUsbStorage=1
fi
if [ -n "${CONFIG_USB_HOST_TI}" ] && [ "${CONFIG_USB_HOST_TI}" = "y" ] && \
[ -n "${CONFIG_USB_STORAGE}" ] && [ "${CONFIG_USB_STORAGE}" = "y" ]; then
isUsbStorage=1
fi
echo "<? setvariable var:isUsbStorage '$isUsbStorage' ?>" >>${CONFIG_DEF}
isVolCounter=0
if [ -n "${CONFIG_VOL_COUNTER}" ] && [ "${CONFIG_VOL_COUNTER}" = "y" ]; then
isVolCounter=1
fi
if [ -n "${CONFIG_VOL_COUNTER}" ] && [ "${CONFIG_VOL_COUNTER}" = "n" ]; then
isVolCounter=0
fi
echo "<? setvariable var:isVolCounter '$isVolCounter' ?>" >>${CONFIG_DEF}
isMultiCountry=0
if [ -n "${CONFIG_MULTI_COUNTRY}" ] && [ "${CONFIG_MULTI_COUNTRY}" = "y" ]; then
isMultiCountry=1
fi
if [ -n "${CONFIG_MULTI_COUNTRY}" ] && [ "${CONFIG_MULTI_COUNTRY}" = "n" ]; then
isMultiCountry=0
fi
echo "<? setvariable var:isMultiCountry '$isMultiCountry' ?>" >>${CONFIG_DEF}
isNqos=0
if [ -n "${CONFIG_NQOS}" ] && [ "${CONFIG_NQOS}" = "y" ]; then
isNqos=1
fi
if [ -n "${CONFIG_NQOS}" ] && [ "${CONFIG_NQOS}" = "n" ]; then
isNqos=0
fi
echo "<? setvariable var:isNqos '$isNqos' ?>" >>${CONFIG_DEF}
Release=0
if [ -n "${CONFIG_RELEASE}" ]; then
Release=${CONFIG_RELEASE}
fi
echo "<? setvariable var:Release '$Release' ?>" >>${CONFIG_DEF}
isIsdnNT=0
if [ -n "${CONFIG_CAPI_NT}" ] && [ "${CONFIG_CAPI_NT}" = "y" ]; then
isIsdnNT=1
fi
if [ -n "${CONFIG_CAPI_NT}" ] && [ "${CONFIG_CAPI_NT}" = "n" ]; then
isIsdnNT=0
fi
echo "<? setvariable var:isIsdnNT '$isIsdnNT' ?>" >>${CONFIG_DEF}
isMultiAnnex=0
if [ -n "${CONFIG_DSL_MULTI_ANNEX}" ] && [ "${CONFIG_DSL_MULTI_ANNEX}" = "y" ]; then
isMultiAnnex=1
fi
if [ -n "${CONFIG_DSL_MULTI_ANNEX}" ] && [ "${CONFIG_DSL_MULTI_ANNEX}" = "n" ]; then
isMultiAnnex=0
fi
echo "<? setvariable var:isMultiAnnex '$isMultiAnnex' ?>" >>${CONFIG_DEF}
isWebDav=0
if [ -n "${CONFIG_WEBDAV}" ] && [ "${CONFIG_WEBDAV}" = "y" ]; then
isWebDav=1
fi
if [ -n "${CONFIG_WEBDAV}" ] && [ "${CONFIG_WEBDAV}" = "n" ]; then
isWebDav=0
fi
echo "<? setvariable var:isWebDav '$isWebDav' ?>" >>${CONFIG_DEF}
isMediaSrv=0
if [ -n "${CONFIG_MEDIASRV}" ] && [ "${CONFIG_MEDIASRV}" = "y" ]; then
isMediaSrv=1
fi
if [ -n "${CONFIG_MEDIASRV}" ] && [ "${CONFIG_MEDIASRV}" = "n" ]; then
isMediaSrv=0
fi
echo "<? setvariable var:isMediaSrv '$isMediaSrv' ?>" >>${CONFIG_DEF}
isMediaCli=0
if [ -n "${CONFIG_MEDIACLI}" ] && [ "${CONFIG_MEDIACLI}" = "y" ]; then
isMediaCli=1
fi
if [ -n "${CONFIG_MEDIACLI}" ] && [ "${CONFIG_MEDIACLI}" = "n" ]; then
isMediaCli=0
fi
echo "<? setvariable var:isMediaCli '$isMediaCli' ?>" >>${CONFIG_DEF}
isWizz=0
if [ -n "${CONFIG_ASSIST}" ] && [ "${CONFIG_ASSIST}" = "y" ]; then
isWizz=1
fi
if [ -n "${CONFIG_ASSIST}" ] && [ "${CONFIG_ASSIST}" = "n" ]; then
isWizz=0
fi
echo "<? setvariable var:isWizz '$isWizz' ?>" >>${CONFIG_DEF}
isButton=0
if [ -n "${CONFIG_BUTTON}" ] && [ "${CONFIG_BUTTON}" = "y" ]; then
isButton=1
fi
if [ -n "${CONFIG_BUTTON}" ] && [ "${CONFIG_BUTTON}" = "n" ]; then
isButton=0
fi
echo "<? setvariable var:isButton '$isButton' ?>" >>${CONFIG_DEF}
isWlanWmm=0
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "y" ] && \
[ -n "${CONFIG_WLAN_WMM}" ] && [ "${CONFIG_WLAN_WMM}" = "y" ]; then
isWlanWmm=1
fi
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "n" ]; then
isWlanWmm=0
fi
echo "<? setvariable var:isWlanWmm '$isWlanWmm' ?>" >>${CONFIG_DEF}
isUsbWlan=0
if [ -n "${CONFIG_USB_HOST}" ] && [ "${CONFIG_USB_HOST}" = "y" ] && \
[ -n "${CONFIG_USB_WLAN_AUTH}" ] && [ "${CONFIG_USB_WLAN_AUTH}" = "y" ]; then
isUsbWlan=1
fi
if [ -n "${CONFIG_USB_HOST_AVM}" ] && [ "${CONFIG_USB_HOST_AVM}" = "y" ] && \
[ -n "${CONFIG_USB_WLAN_AUTH}" ] && [ "${CONFIG_USB_WLAN_AUTH}" = "y" ]; then
isUsbWlan=1
fi
if [ -n "${CONFIG_USB_HOST_TI}" ] && [ "${CONFIG_USB_HOST_TI}" = "y" ] && \
[ -n "${CONFIG_USB_WLAN_AUTH}" ] && [ "${CONFIG_USB_WLAN_AUTH}" = "y" ]; then
isUsbWlan=1
fi
echo "<? setvariable var:isUsbWlan '$isUsbWlan' ?>" >>${CONFIG_DEF}
isT38=0
if [ -n "${CONFIG_T38}" ] && [ "${CONFIG_T38}" = "y" ]; then
isT38=1
fi
if [ -n "${CONFIG_T38}" ] && [ "${CONFIG_T38}" = "n" ]; then
isT38=0
fi
echo "<? setvariable var:isT38 '$isT38' ?>" >>${CONFIG_DEF}
isDectOnOff=0
if [ -n "${CONFIG_DECT}" ] && [ "${CONFIG_DECT}" = "y" ] && \
[ -n "${CONFIG_DECT_ONOFF}" ] && [ "${CONFIG_DECT_ONOFF}" = "y" ]; then
isDectOnOff=1
fi
if [ -n "${CONFIG_DECT}" ] && [ "${CONFIG_DECT}" = "n" ]; then
isDectOnOff=0
fi
echo "<? setvariable var:isDectOnOff '$isDectOnOff' ?>" >>${CONFIG_DEF}
isUsb=0
if [ -n "${CONFIG_USB}" ] && [ "${CONFIG_USB}" = "y" ]; then
isUsb=1
fi
if [ -n "${CONFIG_USB}" ] && [ "${CONFIG_USB}" = "n" ]; then
isUsb=0
fi
echo "<? setvariable var:isUsb '$isUsb' ?>" >>${CONFIG_DEF}
isDebug=0
echo "<? setvariable var:isDebug '$isDebug' ?>" >>${CONFIG_DEF}
isNeueRUL=0
if [ -n "${CONFIG_NEUERUL}" ] && [ "${CONFIG_NEUERUL}" = "y" ]; then
isNeueRUL=1
fi
if [ -n "${CONFIG_NEUERUL}" ] && [ "${CONFIG_NEUERUL}" = "n" ]; then
isNeueRUL=0
fi
echo "<? setvariable var:isNeueRUL '$isNeueRUL' ?>" >>${CONFIG_DEF}
isWlanTxPower=0
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "y" ] && \
[ -n "${CONFIG_WLAN_TXPOWER}" ] && [ "${CONFIG_WLAN_TXPOWER}" = "y" ]; then
isWlanTxPower=1
fi
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "n" ]; then
isWlanTxPower=0
fi
echo "<? setvariable var:isWlanTxPower '$isWlanTxPower' ?>" >>${CONFIG_DEF}
isFon=0
if [ -n "${CONFIG_FON}" ] && [ "${CONFIG_FON}" = "y" ]; then
isFon=1
fi
if [ -n "${CONFIG_FON}" ] && [ "${CONFIG_FON}" = "n" ]; then
isFon=0
fi
echo "<? setvariable var:isFon '$isFon' ?>" >>${CONFIG_DEF}
AbCount=0
if [ -n "${CONFIG_AB_COUNT}" ]; then
AbCount=${CONFIG_AB_COUNT}
fi
echo "<? setvariable var:AbCount '$AbCount' ?>" >>${CONFIG_DEF}
isRemoteHttps=0
if [ -n "${CONFIG_REMOTE_HTTPS}" ] && [ "${CONFIG_REMOTE_HTTPS}" = "y" ]; then
isRemoteHttps=1
fi
if [ -n "${CONFIG_REMOTE_HTTPS}" ] && [ "${CONFIG_REMOTE_HTTPS}" = "n" ]; then
isRemoteHttps=0
fi
echo "<? setvariable var:isRemoteHttps '$isRemoteHttps' ?>" >>${CONFIG_DEF}
isMtdRss=0
if [ -n "${CONFIG_MTD_RSS}" ] && [ "${CONFIG_MTD_RSS}" = "y" ]; then
isMtdRss=1
fi
if [ -n "${CONFIG_MTD_RSS}" ] && [ "${CONFIG_MTD_RSS}" = "n" ]; then
isMtdRss=0
fi
echo "<? setvariable var:isMtdRss '$isMtdRss' ?>" >>${CONFIG_DEF}
isMailer=0
if [ -n "${CONFIG_MAILER}" ] && [ "${CONFIG_MAILER}" = "y" ]; then
isMailer=1
fi
if [ -n "${CONFIG_MAILER}" ] && [ "${CONFIG_MAILER}" = "n" ]; then
isMailer=0
fi
echo "<? setvariable var:isMailer '$isMailer' ?>" >>${CONFIG_DEF}
isFonGui2=0
if [ -n "${CONFIG_FONGUI2}" ] && [ "${CONFIG_FONGUI2}" = "y" ]; then
isFonGui2=1
fi
if [ -n "${CONFIG_FONGUI2}" ] && [ "${CONFIG_FONGUI2}" = "n" ]; then
isFonGui2=0
fi
echo "<? setvariable var:isFonGui2 '$isFonGui2' ?>" >>${CONFIG_DEF}
isFtp=0
if [ -n "${CONFIG_FTP}" ] && [ "${CONFIG_FTP}" = "y" ]; then
isFtp=1
fi
if [ -n "${CONFIG_FTP}" ] && [ "${CONFIG_FTP}" = "n" ]; then
isFtp=0
fi
echo "<? setvariable var:isFtp '$isFtp' ?>" >>${CONFIG_DEF}
isUniquePasswd=0
if [ -n "${CONFIG_UNIQUE_PASSWD}" ] && [ "${CONFIG_UNIQUE_PASSWD}" = "y" ]; then
isUniquePasswd=1
fi
if [ -n "${CONFIG_UNIQUE_PASSWD}" ] && [ "${CONFIG_UNIQUE_PASSWD}" = "n" ]; then
isUniquePasswd=0
fi
echo "<? setvariable var:isUniquePasswd '$isUniquePasswd' ?>" >>${CONFIG_DEF}
isFBoxSL=0
if [ -n "${CONFIG_ROMSIZE}" ] && [ "${CONFIG_ROMSIZE}" = "2" ]; then
isFBoxSL=1
fi
echo "<? setvariable var:isFBoxSL '$isFBoxSL' ?>" >>${CONFIG_DEF}
isSqlite=0
if [ -n "${CONFIG_SQLITE}" ] && [ "${CONFIG_SQLITE}" = "y" ]; then
isSqlite=1
fi
if [ -n "${CONFIG_SQLITE}" ] && [ "${CONFIG_SQLITE}" = "n" ]; then
isSqlite=0
fi
echo "<? setvariable var:isSqlite '$isSqlite' ?>" >>${CONFIG_DEF}
isTr064=0
if [ -n "${CONFIG_TR064}" ] && [ "${CONFIG_TR064}" = "y" ]; then
isTr064=1
fi
if [ -n "${CONFIG_TR064}" ] && [ "${CONFIG_TR064}" = "n" ]; then
isTr064=0
fi
echo "<? setvariable var:isTr064 '$isTr064' ?>" >>${CONFIG_DEF}
isWlanWps=0
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "y" ] && \
[ -n "${CONFIG_WLAN_WPS}" ] && [ "${CONFIG_WLAN_WPS}" = "y" ]; then
isWlanWps=1
fi
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "n" ]; then
isWlanWps=0
fi
echo "<? setvariable var:isWlanWps '$isWlanWps' ?>" >>${CONFIG_DEF}
isIgd=0
if [ -n "${CONFIG_IGD}" ] && [ "${CONFIG_IGD}" = "y" ]; then
isIgd=1
fi
if [ -n "${CONFIG_IGD}" ] && [ "${CONFIG_IGD}" = "n" ]; then
isIgd=0
fi
echo "<? setvariable var:isIgd '$isIgd' ?>" >>${CONFIG_DEF}
isDect2=0
if [ -n "${CONFIG_DECT}" ] && [ "${CONFIG_DECT}" = "y" ] && \
[ -n "${CONFIG_DECT2}" ] && [ "${CONFIG_DECT2}" = "y" ]; then
isDect2=1
fi
if [ -n "${CONFIG_DECT}" ] && [ "${CONFIG_DECT}" = "n" ]; then
isDect2=0
fi
echo "<? setvariable var:isDect2 '$isDect2' ?>" >>${CONFIG_DEF}
isKids=0
if [ -n "${CONFIG_KIDS}" ] && [ "${CONFIG_KIDS}" = "y" ]; then
isKids=1
fi
if [ -n "${CONFIG_KIDS}" ] && [ "${CONFIG_KIDS}" = "n" ]; then
isKids=0
fi
echo "<? setvariable var:isKids '$isKids' ?>" >>${CONFIG_DEF}
isFaxSupport=0
if [ -n "${CONFIG_FAXSUPPORT}" ] && [ "${CONFIG_FAXSUPPORT}" = "y" ]; then
isFaxSupport=1
fi
if [ -n "${CONFIG_FAXSUPPORT}" ] && [ "${CONFIG_FAXSUPPORT}" = "n" ]; then
isFaxSupport=0
fi
echo "<? setvariable var:isFaxSupport '$isFaxSupport' ?>" >>${CONFIG_DEF}
isPots=0
if [ -n "${CONFIG_CAPI_POTS}" ] && [ "${CONFIG_CAPI_POTS}" = "y" ]; then
isPots=1
fi
if [ -n "${CONFIG_CAPI_POTS}" ] && [ "${CONFIG_CAPI_POTS}" = "n" ]; then
isPots=0
fi
echo "<? setvariable var:isPots '$isPots' ?>" >>${CONFIG_DEF}
isWlanTcomPrio=0
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "y" ] && \
[ -n "${CONFIG_WLAN_TCOM_PRIO}" ] && [ "${CONFIG_WLAN_TCOM_PRIO}" = "y" ]; then
isWlanTcomPrio=1
fi
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "n" ]; then
isWlanTcomPrio=0
fi
echo "<? setvariable var:isWlanTcomPrio '$isWlanTcomPrio' ?>" >>${CONFIG_DEF}
isLedDsl=1
if [ -n "${CONFIG_LED_NO_DSL_LED}" ] && [ "${CONFIG_LED_NO_DSL_LED}" = "n" ]; then
isLedDsl=1
fi
if [ -n "${CONFIG_LED_NO_DSL_LED}" ] && [ "${CONFIG_LED_NO_DSL_LED}" = "y" ]; then
isLedDsl=0
fi
echo "<? setvariable var:isLedDsl '$isLedDsl' ?>" >>${CONFIG_DEF}
isSqliteVideo=0
if [ -n "${CONFIG_SQLITE_VIDEO}" ] && [ "${CONFIG_SQLITE_VIDEO}" = "y" ]; then
isSqliteVideo=1
fi
if [ -n "${CONFIG_SQLITE_VIDEO}" ] && [ "${CONFIG_SQLITE_VIDEO}" = "n" ]; then
isSqliteVideo=0
fi
echo "<? setvariable var:isSqliteVideo '$isSqliteVideo' ?>" >>${CONFIG_DEF}
isUsbStorageUsers=0
if [ -n "${CONFIG_USB_STORAGE}" ] && [ "${CONFIG_USB_STORAGE}" = "y" ] && \
[ -n "${CONFIG_USB_STORAGE_USERS}" ] && [ "${CONFIG_USB_STORAGE_USERS}" = "y" ]; then
isUsbStorageUsers=1
fi
if [ -n "${CONFIG_USB_STORAGE}" ] && [ "${CONFIG_USB_STORAGE}" = "n" ]; then
isUsbStorageUsers=0
fi
echo "<? setvariable var:isUsbStorageUsers '$isUsbStorageUsers' ?>" >>${CONFIG_DEF}
isWlanGreen=0
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "y" ] && \
[ -n "${CONFIG_WLAN_GREEN}" ] && [ "${CONFIG_WLAN_GREEN}" = "y" ]; then
isWlanGreen=1
fi
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "n" ]; then
isWlanGreen=0
fi
echo "<? setvariable var:isWlanGreen '$isWlanGreen' ?>" >>${CONFIG_DEF}
isDectMoni=0
if [ -n "${CONFIG_DECT}" ] && [ "${CONFIG_DECT}" = "y" ] && \
[ -n "${CONFIG_DECT_MONI}" ] && [ "${CONFIG_DECT_MONI}" = "y" ]; then
isDectMoni=1
fi
if [ -n "${CONFIG_DECT}" ] && [ "${CONFIG_DECT}" = "n" ]; then
isDectMoni=0
fi
echo "<? setvariable var:isDectMoni '$isDectMoni' ?>" >>${CONFIG_DEF}
isMultiLanguage=0
if [ -n "${CONFIG_MULTI_LANGUAGE}" ] && [ "${CONFIG_MULTI_LANGUAGE}" = "y" ]; then
isMultiLanguage=1
fi
if [ -n "${CONFIG_MULTI_LANGUAGE}" ] && [ "${CONFIG_MULTI_LANGUAGE}" = "n" ]; then
isMultiLanguage=0
fi
echo "<? setvariable var:isMultiLanguage '$isMultiLanguage' ?>" >>${CONFIG_DEF}
isFonIpPhone=0
if [ -n "${CONFIG_FON_IPPHONE}" ] && [ "${CONFIG_FON_IPPHONE}" = "y" ]; then
isFonIpPhone=1
fi
if [ -n "${CONFIG_FON_IPPHONE}" ] && [ "${CONFIG_FON_IPPHONE}" = "n" ]; then
isFonIpPhone=0
fi
echo "<? setvariable var:isFonIpPhone '$isFonIpPhone' ?>" >>${CONFIG_DEF}
isFonHd=0
if [ -n "${CONFIG_FON_HD}" ] && [ "${CONFIG_FON_HD}" = "y" ]; then
isFonHd=1
fi
if [ -n "${CONFIG_FON_HD}" ] && [ "${CONFIG_FON_HD}" = "n" ]; then
isFonHd=0
fi
echo "<? setvariable var:isFonHd '$isFonHd' ?>" >>${CONFIG_DEF}
isBasis=0
echo "<? setvariable var:isBasis '$isBasis' ?>" >>${CONFIG_DEF}
isWlan1350=0
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "y" ] && \
[ -n "${CONFIG_WLAN_1350TNET}" ] && [ "${CONFIG_WLAN_1350TNET}" = "y" ]; then
isWlan1350=1
fi
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "n" ]; then
isWlan1350=0
fi
echo "<? setvariable var:isWlan1350 '$isWlan1350' ?>" >>${CONFIG_DEF}
isDectMoniEx=0
if [ -n "${CONFIG_DECT}" ] && [ "${CONFIG_DECT}" = "y" ] && \
[ -n "${CONFIG_DECT_MONI_EX}" ] && [ "${CONFIG_DECT_MONI_EX}" = "y" ]; then
isDectMoniEx=1
fi
if [ -n "${CONFIG_DECT}" ] && [ "${CONFIG_DECT}" = "n" ]; then
isDectMoniEx=0
fi
echo "<? setvariable var:isDectMoniEx '$isDectMoniEx' ?>" >>${CONFIG_DEF}
isFax2Mail=0
if [ -n "${CONFIG_FAX2MAIL}" ] && [ "${CONFIG_FAX2MAIL}" = "y" ]; then
isFax2Mail=1
fi
if [ -n "${CONFIG_FAX2MAIL}" ] && [ "${CONFIG_FAX2MAIL}" = "n" ]; then
isFax2Mail=0
fi
echo "<? setvariable var:isFax2Mail '$isFax2Mail' ?>" >>${CONFIG_DEF}
isTr069=0
if [ -n "${CONFIG_TR069}" ] && [ "${CONFIG_TR069}" = "y" ]; then
isTr069=1
fi
if [ -n "${CONFIG_TR069}" ] && [ "${CONFIG_TR069}" = "n" ]; then
isTr069=0
fi
echo "<? setvariable var:isTr069 '$isTr069' ?>" >>${CONFIG_DEF}
isTam=0
if [ -n "${CONFIG_TAM}" ] && [ "${CONFIG_TAM}" = "y" ]; then
isTam=1
fi
if [ -n "${CONFIG_TAM}" ] && [ "${CONFIG_TAM}" = "n" ]; then
isTam=0
fi
echo "<? setvariable var:isTam '$isTam' ?>" >>${CONFIG_DEF}
isUpnp=0
if [ -n "${CONFIG_UPNP}" ] && [ "${CONFIG_UPNP}" = "y" ]; then
isUpnp=1
fi
if [ -n "${CONFIG_UPNP}" ] && [ "${CONFIG_UPNP}" = "n" ]; then
isUpnp=0
fi
echo "<? setvariable var:isUpnp '$isUpnp' ?>" >>${CONFIG_DEF}
EthCount=0
if [ -n "${CONFIG_ETH_COUNT}" ]; then
EthCount=${CONFIG_ETH_COUNT}
fi
echo "<? setvariable var:EthCount '$EthCount' ?>" >>${CONFIG_DEF}
isWlan=0
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "y" ]; then
isWlan=1
fi
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "n" ]; then
isWlan=0
fi
echo "<? setvariable var:isWlan '$isWlan' ?>" >>${CONFIG_DEF}
isVpnCertSrv=0
if [ -n "${CONFIG_VPN}" ] && [ "${CONFIG_VPN}" = "y" ] && \
[ -n "${CONFIG_VPN_CERTSRV}" ] && [ "${CONFIG_VPN_CERTSRV}" = "y" ]; then
isVpnCertSrv=1
fi
if [ -n "${CONFIG_VPN}" ] && [ "${CONFIG_VPN}" = "n" ]; then
isVpnCertSrv=0
fi
echo "<? setvariable var:isVpnCertSrv '$isVpnCertSrv' ?>" >>${CONFIG_DEF}
isWlanMadWifi=0
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "y" ] && \
[ -n "${CONFIG_WLAN_MADWIFI}" ] && [ "${CONFIG_WLAN_MADWIFI}" = "y" ]; then
isWlanMadWifi=1
fi
if [ -n "${CONFIG_WLAN}" ] && [ "${CONFIG_WLAN}" = "n" ]; then
isWlanMadWifi=0
fi
echo "<? setvariable var:isWlanMadWifi '$isWlanMadWifi' ?>" >>${CONFIG_DEF}
isAudio=0
if [ -n "${CONFIG_AUDIO}" ] && [ "${CONFIG_AUDIO}" = "y" ]; then
isAudio=1
fi
if [ -n "${CONFIG_AUDIO}" ] && [ "${CONFIG_AUDIO}" = "n" ]; then
isAudio=0
fi
echo "<? setvariable var:isAudio '$isAudio' ?>" >>${CONFIG_DEF}
isAura=0
if [ -n "${CONFIG_AURA}" ] && [ "${CONFIG_AURA}" = "y" ]; then
isAura=1
fi
if [ -n "${CONFIG_AURA}" ] && [ "${CONFIG_AURA}" = "n" ]; then
isAura=0
fi
echo "<? setvariable var:isAura '$isAura' ?>" >>${CONFIG_DEF}
isMailer2=0
if [ -n "${CONFIG_MAILER2}" ] && [ "${CONFIG_MAILER2}" = "y" ]; then
isMailer2=1
fi
if [ -n "${CONFIG_MAILER2}" ] && [ "${CONFIG_MAILER2}" = "n" ]; then
isMailer2=0
fi
echo "<? setvariable var:isMailer2 '$isMailer2' ?>" >>${CONFIG_DEF}
isFonQuality=0
if [ -n "${CONFIG_FONQUALITY}" ] && [ "${CONFIG_FONQUALITY}" = "y" ]; then
isFonQuality=1
fi
if [ -n "${CONFIG_FONQUALITY}" ] && [ "${CONFIG_FONQUALITY}" = "n" ]; then
isFonQuality=0
fi
echo "<? setvariable var:isFonQuality '$isFonQuality' ?>" >>${CONFIG_DEF}
isMini=0
if [ -n "${CONFIG_MINI}" ] && [ "${CONFIG_MINI}" = "y" ]; then
isMini=1
fi
if [ -n "${CONFIG_MINI}" ] && [ "${CONFIG_MINI}" = "n" ]; then
isMini=0
fi
echo "<? setvariable var:isMini '$isMini' ?>" >>${CONFIG_DEF}
echo "<? setvariable var:Annex '${ANNEX}' ?>" >>${CONFIG_DEF}
echo "<? setvariable var:ProduktName '${CONFIG_PRODUKT_NAME}' ?>" >>${CONFIG_DEF}
echo "<? setvariable var:FirmwareUrl '${CONFIG_FIRMWARE_URL}' ?>" >>${CONFIG_DEF}
echo "<? setvariable var:ServiceportalUrl '${CONFIG_SERVICEPORTAL_URL}' ?>" >>${CONFIG_DEF}
echo "<? setvariable var:AccessoryUrl '${CONFIG_ACCESSORY_URL}' ?>" >>${CONFIG_DEF}
echo "<? setvariable var:OnlinehelpUrl '${CONFIG_ONLINEHELP_URL}' ?>" >>${CONFIG_DEF}
echo "<? setvariable var:FirmwareVersion '${CONFIG_VERSION}${CONFIG_SUBVERSION}' ?>" >>${CONFIG_DEF}
fi
##########################################################################################
## CPMAC Treiber laden
##########################################################################################
##########################################################################################
## kernel default setzen
##########################################################################################
echo 1 > /proc/sys/net/ipv4/ip_forward
##########################################################################################
## Defaults fuellen
##########################################################################################
##########################################################################################
## telephony
##########################################################################################
copy_telefonie_defaults telefon_misc ${OEM} ${Country} ${OEM_DEFAULT_INDEX}
copy_telefonie_defaults fx_lcr ${OEM} ${Country} ${OEM_DEFAULT_INDEX}
copy_telefonie_defaults fx_conf ${OEM} ${Country} ${OEM_DEFAULT_INDEX}
copy_telefonie_defaults fx_moh ${OEM} ${Country} ${OEM_DEFAULT_INDEX}
link_telefonie_defaults fx_moh ${OEM} ${Country} ${OEM_DEFAULT_INDEX}
if [ -f /usr/bin/calllog ] ; then
if [ ! -f /var/calllog ] ; then
ln -s /usr/bin/calllog /var/calllog
fi
fi
##########################################################################################
## Foncontrol
##########################################################################################
copy_telefonie_defaults fonctrl ${OEM} ${Country} ${OEM_DEFAULT_INDEX}
##########################################################################################
## Module init (phase 1)
##########################################################################################
##########################################################################################
## Fritz_Box_7170 Annex A
##########################################################################################
piglet_bitfile=/lib/modules/microvoip_isdn_top.bit${HWRevision_BitFileCount}
piglet_load_params="\
piglet_width_running=1 \
piglet_usb_power_bit=-1 \
piglet_disable_test=1 \
piglet_cs=5 \
piglet_reset_bit=-2 \
piglet_bitfile_offset=0 \
piglet_bitfile_write=-1 \
piglet_bitfile_revbytes=1 \
piglet_irq_gpio=18 \
piglet_irq=9 \
"
modprobe Piglet piglet_bitfile=$piglet_bitfile $piglet_load_params
xx=`cat /proc/mtd | grep \"jffs2\"`
jffs2_pat=""
jffs2_size=0
jffs2_found=0
echo "[jffs2] xx=$xx"
for i in $xx ; do
echo "[jffs2] i=$i"
case $i in
*:)
jffs2_pat=${i##mtd}
jffs2_pat=${jffs2_pat%%:}
echo "[jffs2] jffs2_pat=$jffs2_pat"
;;
00*)
if [ $jffs2_found -eq 0 ] ; then
jffs2_size=$((0x$i / (2**16)))
echo "[jffs2] jffs2_size=$jffs2_size"
fi
jffs2_found=1
;;
esac
done
if [ $jffs2_size -gt 0 ]; then
echo "[jffs2] load jffs2 module" ;
if modprobe jffs2; then
echo "[jffs2] mount jffs ";
mount -t jffs2 /dev/mtdblock${jffs2_pat} /data
jffs2_ok=$?
if [ $jffs2_ok -ne 0 ]; then
/bin/reinit_jffs2 -c /dev/mtdblock${jffs2_pat} -a -o /var/tmp/jffs2.image ;
cp /var/tmp/jffs2.image /dev/mtdblock${jffs2_pat}
echo "copying image..."
rm /var/tmp/jffs2.image
echo "done."
mount -t jffs2 /dev/mtdblock${jffs2_pat} /data
jffs2_ok=$?
fi
if [ $jffs2_ok -eq 0 ]; then
echo "[jffs2] write env variable jffs2_size to $jffs2_size" ;
echo "jffs2_size $jffs2_size" >/proc/sys/urlader/environment
fi
fi
fi
##########################################################################################
##########################################################################################
#########################################################################
## TAM - link to messages
#######################################################################
if [ -d /usr/share/tam/msg/${OEM}/${Language} ] ; then
ln -s /usr/share/tam/msg/${OEM}/${Language} /var/tam/message
else
ln -s /usr/share/tam/msg/default/${Language} /var/tam/message
fi
#########################################################################
## TAM - Userverzeichnis
#######################################################################
echo "TAM: create JFFS2 directory /data/tam"
mkdir -p /data/tam
#########################################################################
## TAM - Defaults
#######################################################################
if [ -d /data/tam ] ; then
## nur wenn TAM - Userverzeichnis
if [ ! -f /data/tam/config ] ; then
if [ -f /etc/default.${CONFIG_PRODUKT}/${OEM}/config.tam ] ; then
echo "TAM Defaults: cp /etc/default.${CONFIG_PRODUKT}/${OEM}/config.tam /data/tam/config"
cp /etc/default.${CONFIG_PRODUKT}/${OEM}/config.tam /data/tam/config
else
echo "TAM Defaults: /etc/default.${CONFIG_PRODUKT}/${OEM}/config.tam not found!"
fi
fi
if [ ! -d /data/tam/rec ]; then
rm -f /data/tam/rec.*
mkdir /data/tam/rec
if [ $? -ne 0 ]; then
rm -f /data/tam/uvp.*
mkdir /data/tam/rec
if [ $? -ne 0 ]; then
echo "[jffs2] cannot create rec dir - umount jffs2"
umount /data
fi
fi
fi
else
echo "TAM Defaults: User Directory /data/tam not found!"
fi
#########################################################################
## PTEST
#########################################################################
export CONFIG_ENVIRONMENT_PATH=/proc/sys/urlader
PTEST=`cat $CONFIG_ENVIRONMENT_PATH/environment | grep ptest | tr , ' '`
if [ -z "$PTEST" ] ; then
PTEST=`cat /proc/cmdline | grep ptest | tr , ' '`
fi
ANNEX_TEST=0
WLAN_TEST=0
DISABLE_WLAN=0
USB_HOST_TEST=0
AB_TEST=0
CAPISERV_TEST=0
STATUS_TEST=0
WLAN_CAL=0
DECT_CAL=0
TRACKING=0
FINALIZE=0
POTSCALL=0
AUDIO_TEST=0
IR_TEST=0
export TFTP_SERVER=192.168.178.20
for i in ${PTEST} ; do
case $i in
subnet=*)
TFTP_SERVER=192.168.${i##subnet=}
export TFTP_SERVER
echo "TFTP_SERVER=$TFTP_SERVER"
;;
ipaddr=*)
TEMP_SUBNET=${i##ipaddr=}
PTEST_SERVER=192.168.${TEMP_SUBNET}
export PTEST_SERVER
echo "PTEST_SERVER=$PTEST_SERVER"
VLAN_GROUP=${TEMP_SUBNET%%.*}
export VLAN_GROUP
echo "VLAN_GROUP=$VLAN_GROUP"
;;
status=*)
STATUS_TEST=${i##status=}
echo "STATUS Test=$STATUS_TEST"
;;
dsl=*)
ANNEX_TEST=${i##dsl=}
echo "DSL Test=$ANNEX_TEST"
;;
wlan=off)
DISABLE_WLAN=1
echo "disable wlan $DISABLE_WLAN"
;;
wlan=cal)
DISABLE_WLAN=1
WLAN_CAL=1
echo "disable wlan $DISABLE_WLAN"
echo "wlan cal $WLAN_CAL"
;;
wlan=*)
WLAN_TEST=${i##wlan=}
echo "WLAN Test $WLAN_TEST"
WLAN_CHANNEL=${WLAN_TEST%%:*}
WLAN_COUNT=${WLAN_TEST##*:}
WLAN_TEST=${WLAN_TEST#*:}
WLAN_TIME=${WLAN_TEST%%:*}
echo "wlan channel $WLAN_CHANNEL"
echo "wlan time $WLAN_TIME"
echo "wlan count $WLAN_COUNT"
;;
ab=*)
AB_TEST=${i##ab=}
echo "AB Test $AB_TEST"
;;
usb_h=*)
USB_HOST_TEST=${i##usb_h=}
echo "USB-Host Test $USB_HOST_TEST"
;;
capiserv=*)
CAPISERV_TEST=${i##capiserv=}
echo "Start CapiServer $CAPISERV_TEST"
;;
finalize=*)
FINALIZE=${i##finalize=}
echo "finalize environment $FINALIZE"
;;
tracking=*)
TRACKING=${i##tracking=}
echo "tracking ptest results $TRACKING"
;;
dect=cal)
DECT_CAL=1
echo "dect cal $DECT_CAL"
;;
potscall=*)
POTSCALL=${i##potscall=}
echo "potscall $POTSCALL"
;;
audio=*)
AUDIO_TEST=${i##audio=}
echo "audio test $AUDIO_TEST"
;;
ir=*)
IR_TEST=${i##ir=}
echo "infrared test $IR_TEST"
;;
esac
done
if [ ! -z "$PTEST" ] ; then
echo "ptest " >$CONFIG_ENVIRONMENT_PATH/environment
fi
export ANNEX_TEST STATUS_TEST WLAN_TEST DISABLE_WLAN AB_TEST CAPISERV_TEST USB_HOST_TEST WLAN_CAL FINALIZE POTSCALL
if [ "$USB_HOST_TEST" = "1" ] ; then
/usr/bin/usb_host.sh &
fi
if [ "$WLAN_CAL" = "1" ]; then
/usr/bin/wlan_cal.sh &
fi
if [ "$DECT_CAL" = "1" ]; then
/usr/bin/dect_cal.sh &
fi
if [ "$CAPISERV_TEST" = "1" ]; then
/sbin/capi.sh &
fi
if [ "$FINALIZE" != "0" ]; then
/usr/bin/finalize.sh &
fi
if [ "$TRACKING" = "1" ]; then
/sbin/tracking &
fi
if [ "$POTSCALL" != "0" ]; then
/usr/bin/potscalltest.sh &
fi
if [ "$WLAN_TEST" != "0" ]; then
/usr/bin/wlan_lifetest.sh $WLAN_CHANNEL $WLAN_TIME $WLAN_COUNT &
fi
##########################################################################################
## Diverse
##########################################################################################
#! /bin/sh
/etc/init.d/rc.dsl.sh start
ubik2_params=
if [ "`pidof avmlogd`" ] ; then
modprobe ubik2 takeover_printk=0 $ubik2_params
else
modprobe ubik2 takeover_printk=0 $ubik2_params
: #cat /dev/debug &
fi
#! /bin/sh
#delete_shell_comment
## modprobe capifs # module sind im kernel einkompiliert
## modprobe capiutil # module sind im kernel einkompiliert
## modprobe kernelcapi # module sind im kernel einkompiliert
## modprobe capi # module sind im kernel einkompiliert
isdn_fbox=`ls -R /lib/modules/ | grep 'isdn_fbox.*ko'`
isdn_fbox=${isdn_fbox%.ko}
## VAG2 + VAG3
isdn_params=""
## ########### Annex A DTMF/EC settings ###########
## MIPS-DTMF und MIPS-EC fuer VAG3 Devices mit Annex A
isdn_params="${isdn_params} local_ec=3"
## ########### done ###########
## ########### optional pcmlink settings ###########
## Default: ggfs. notweniger pcmlink-Treiber wird von modprobe automatisch
## ber kernel-dependencys ermittelt und vor dem isdn-treiber gestartet
modprobe $isdn_fbox $isdn_params
## ########### done ###########
sleep 2
## wegen mehrfacher abhangigkeiten zu den isdn_fonx-treibern per insmod
capi_codec=`ls -R /lib/modules/ | grep 'lib.*capi_codec'`
capi_codec=${capi_codec%:}/capi_codec.ko
if [ -f ${capi_codec} ]; then
insmod ${capi_codec}
fi
sleep 2
##########################################################################################
## USB-Target-Funktion und Host Controller wg DECT nach CAPI starten
##########################################################################################
#! /bin/sh
#########################
#### USB-Host Config ####
#########################
if [ -x /bin/usbcfgctl ] ; then
if /usr/bin/checkempty /var/flash/usb.cfg ; then
/bin/usbcfgctl -c
fi
fi
## Taken from usb.pandu script:
## Store 'clean' environment for later use (skipping IFS)
set | grep -v "IFS="|grep "^[A-Z]"|sed "s/\(.*\)/export \1/" > /var/env.cache
usb_mount() {
mount -t usbfs usbfs /proc/bus/usb
}
/etc/hotplug/aura start
if modprobe usbcore; then
usb_mount
/etc/init.d/rc.usbhost start
fi
###########################
#### USB-Client Config ####
###########################
#########################################################################
## Set hostname
#########################################################################
HOSTNAME=`echo servercfg.hostname | ar7cfgctl -s`
HOSTNAME=`eval echo $HOSTNAME`
if [ "$HOSTNAME" != "(none)" ] ; then
hostname $HOSTNAME
else
hostname $CONFIG_HOSTNAME
fi
#########################################################################
##########################################################################################
## LED - Deamon
##########################################################################################
ln -s /dev/new_led /var/led
##########################################################################################
## Box Spezifische Einstellungen
##########################################################################################
## 0.5 Hz
echo "STATES pppoe,0 = 16 -> 0" >/dev/new_led
## 1 Hz
echo "STATES pppoe,0 = 17 -> 0" >/dev/new_led
## 2 Hz
echo "STATES pppoe,0 = 18 -> 0" >/dev/new_led
## 4Hz
echo "STATES pppoe,0 = 19 -> 0" >/dev/new_led
##########################################################################################
## Komponenten starten:
##########################################################################################
modprobe kdsldmod
/etc/init.d/rc.net
#########################################################################
## VoIP ( drivers etc. )
#########################################################################
if [ -x /etc/init.d/rc.voip ] ; then
/etc/init.d/rc.voip
fi
#########################################################################
## CAPI over TCP Server
## ACHTUNG: erst nach ggfs laufendem Telefon starten wg. TROJA
## CAPI over TCP braucht die erste ApplId die er vom Netz an CAPI senden darf
## damit wird verhindert, dass externe Anwendungen TROJA deaktivieren koennen
#########################################################################
if [ -x /usr/bin/capiotcp_server ] ; then
CAPIOTCPENABLED="`echo capiovertcp.enabled | ar7cfgctl -s`"
if [ "$CAPISERV_TEST" = "1" ] && [ "$CAPIOTCPENABLED" != "yes" ]; then
/usr/bin/capiotcp_server -p5031 -m1 &
sleep 2
fi
else
echo error: could not load /usr/bin/capiotcp_server
fi
##########################################################################################
## inetd Starten
##########################################################################################
##########################################################################################
## Media-Zeugs starten
##########################################################################################
/etc/init.d/rc.media start
##########################################################################################
##########################################################################################
## Betriebsstundenzaehler & Watchdog
##########################################################################################
/bin/run_clock -c /dev/tffs -d
echo init-done >/dev/watchdog
#########################################################################
## Damit auch Oops zum Reboot fuehren
#########################################################################
echo 1 > /proc/sys/kernel/panic_on_oops
##########################################################################################
## user rc file
##########################################################################################
if [ -z "$CPU_NR" ] || [ "$CPU_NR" = "1" ] ; then
mknod /var/flash/debug.cfg c $tffs_major $((0x62))
if ! /usr/bin/checkempty /var/flash/debug.cfg 2>/dev/null; then
[ "$dbg_off" == "y" ] || . /var/flash/debug.cfg
fi
fi
## spaeter wenn die tests vorbei sind
## rm -f /var/env
#########################################################################
## lade Powerinfo-Tabelle (fuer Energiemonitor)
#########################################################################
if [ -f /lib/modules/pm_info.in ]; then
cat /lib/modules/pm_info.in >/dev/avm_power
fi
#########################################################################
## set printk level to KERN_ERR
#########################################################################
echo "4" > /proc/sysrq-trigger
#########################################################################
## idle-depend systemtakt (only slow)
#########################################################################
echo MODE=pd_speed_on >/dev/avm_power
if test -x /usr/bin/ethnator ; then
/usr/bin/ethnator -d /etc/init.d/linkdown.sh -u etc/init.d/linkup.sh
fi
#########################################################################
## cleanup - if running, stop debug (0 normal, 1 flush buffer)
#########################################################################
if `ps | grep -v grep | grep -q "cat /dev/debug"` ; then
echo Info: have to stop 'cat /dev/debug'.
echo AVMDBG_EOF 1 >/dev/debug
fi;
#########################################################################
[ "$ds_off" == "y" ] || . /etc/init.d/rc.mod 2>&1 | tee /var/log/mod.log
