. /etc/term.sh
###########################################################################################
###########################################################################################
error_led() {
if [ -n "$2" ] ; then
echo "*** ERROR: $2 ***"
fi
echo "SET error,0 = $((0x40 + (4 * ($1 - 1)) + 1))" >/dev/new_led
if [ -x /bin/led-ctrl ]; then
/bin/led-ctrl hardware_error=$2
fi
}
##########################################################################################
## Status test
##########################################################################################
status_test() {
if [ -n "${STATUS_TEST}" ] && [ ! "$STATUS_TEST" = "0" ] ; then
echo "******** PTEST: status **************"
echo "#!/bin/sh" >/var/dsl_info.sh
echo "echo timeout = $STATUS_TEST" >>/var/dsl_info.sh
echo "/usr/bin/dsl_info /var/dsl_info $STATUS_TEST" >>/var/dsl_info.sh
echo 'echo "going to push statustest result to host..."' >>/var/dsl_info.sh
echo 'test_count=20' >>/var/dsl_info.sh
## now, try to push result to host
echo "while ! tftp -p -l /var/dsl_info -r dsl_info.log ${TFTP_SERVER} ; do" >>/var/dsl_info.sh
echo ' echo -e " wait\c"' >>/var/dsl_info.sh
echo ' sleep 1' >>/var/dsl_info.sh
echo ' test_count=$((test_count - 1))' >>/var/dsl_info.sh
echo ' if [ "${test_count}" = "0" ] ; then' >>/var/dsl_info.sh
echo ' echo -e "\nstatus_test failed"' >>/var/dsl_info.sh
echo ' exit 1' >>/var/dsl_info.sh
echo ' fi' >>/var/dsl_info.sh
echo 'done' >>/var/dsl_info.sh
echo 'echo -e "\nstatustest successful"' >>/var/dsl_info.sh
chmod +x /var/dsl_info.sh
/var/dsl_info.sh >/var/dsl_info.out &
fi
}
##########################################################################################
##########################################################################################
## prepare test
annex_test() {
if [ -n "${ANNEX_TEST}" ] && [ "${ANNEX_TEST}" != "0" ] ; then
cat /dev/null >/var/p_test_copy
echo "#!/bin/sh" >>/var/p_test_copy
echo 'cd /var' >>/var/p_test_copy
echo 'sleep 1' >>/var/p_test_copy
## wait until test finished...
echo 'while [ ! -f ${ANNEX_PTEST_FILE} ] ; do' >>/var/p_test_copy
echo ' echo "wait for ptest results ..."' >>/var/p_test_copy
echo ' sleep 1' >>/var/p_test_copy
echo 'done' >>/var/p_test_copy
echo 'sleep 1' >>/var/p_test_copy
echo 'echo "going to push ptest result to host..."' >>/var/p_test_copy
echo 'test_count=20' >>/var/p_test_copy
## now, try to push result to host
echo 'while ! tftp -p -l ${ANNEX_PTEST_FILE} ${ANNEX_PTEST_HOST} ; do' >>/var/p_test_copy
echo ' echo -e " wait\c"' >>/var/p_test_copy
echo ' sleep 1' >>/var/p_test_copy
echo ' test_count=$((test_count - 1))' >>/var/p_test_copy
echo ' if [ "${test_count}" = "0" ] ; then' >>/var/p_test_copy
echo ' echo -e "\np_test failed"' >>/var/p_test_copy
echo ' exit 1' >>/var/p_test_copy
echo ' fi' >>/var/p_test_copy
echo 'done' >>/var/p_test_copy
chmod +x /var/p_test_copy
## execute test
nohup /var/p_test_copy &
fi
}
##########################################################################################
##########################################################################################
## spezielle config (dsl-fw ggfs. spezifisch ueberladen)
##########################################################################################
start_dsl() {
ANNEX_FIRMWARE=/lib/modules/microvoip-dsl.bin
if [ ! -f ${ANNEX_FIRMWARE} ] ; then
ANNEX_FIRMWARE=/lib/modules/ar0700xx.bin
fi
if [ ! -f ${ANNEX_FIRMWARE} ] ; then
ANNEX_FIRMWARE=/lib/modules/ar0700aa.bin
fi
if [ ! -f ${ANNEX_FIRMWARE} ] ; then
ANNEX_FIRMWARE=/lib/modules/ubik/ubik2-dsl.bin
fi
if [ ! -f ${ANNEX_FIRMWARE} ] ; then
ANNEX_FIRMWARE=/lib/modules/dsp_ur8/ur8-${ANNEX}-dsl.bin
fi
echo "attempting to load DSL Firmware '${ANNEX_FIRMWARE}'"
if [ ! -f ${ANNEX_FIRMWARE} ] ; then
echo "Error: '${ANNEX_FIRMWARE}' not found "
fi
##################################
export ANNEX_PTEST_FILE=ptest-results-${ANNEX_TEST}
export ANNEX_PTEST_HOST=$TFTP_SERVER
##################################
## export ANNEX=`cat /proc/sys/dev/adam2/annex`
echo "**** ANNEX: '${ANNEX}'"
## set testmode if testparameter is given
if [ "${ANNEX_TEST}" != "0" ] ; then
echo "**** ANNEX_TEST: '${ANNEX_TEST}'"
echo "**** ANNEX_TEST: File '${ANNEX_PTEST_FILE}'"
echo "**** ANNEX_TEST: Host '${ANNEX_PTEST_HOST}'"
fi
echo "*************************************"
## start ATM driver
echo "setting DSL Firmware to Annex ${ANNEX}"
case ${OEM} in
arcor)
atm_driver_params="atm_strict_prio=1"
;;
*)
atm_driver_params=""
;;
esac
if [ -f ${ANNEX_FIRMWARE} ] ; then
product_eoc_name="`echo "${CONFIG_PRODUKT_NAME}${CONFIG_DSL_VENDORID}" | sed -e "s/ //g"`"
echo "EOC info: product_name='${product_eoc_name}'"
modprobe tiatm ${atm_driver_params} firmware_load_file=${ANNEX_FIRMWARE} annex=${ANNEX} ptest=${ANNEX_TEST} product_name="${product_eoc_name}"
## Ueberprfe, ob tiatm geladen werden konnte. Konnte dies nicht geschehen, wir der Errorcode 8 ausgegeben.
if [ -z "$( lsmod | grep ^tiatm)" ]; then
error_led 8 "load tiatm failed"
fi
fi
}
##########################################################################################
##########################################################################################
stop_dsl() {
## set
## we cant call rc.net cause when called for post_install (init process) all out
## CONFIG_-Values are not set!
## /etc/init.d/rc.net shutdown
## assume zombies as dead in termXXX (important when called from init process)
ZOMBIES_ARE_DEAD=yes
## termavmwait 999 usermand avmike dsld voipd igdd websrv multid ctlmgr
rm /var/rfcntlsock 2> /dev/null
termavmwait 999 usermand avmike voipd ctlmgr
termavmwait 999 dsld
termwait 999 telefon pbd faxd minid
termwait 999 cat
rmmod rfcntl
rmmod capi_codec
rmmod isdn_fbox_fon5
rmmod isdn_fbox_fon4
rmmod isdn_fbox_fon3
rmmod isdn_fbox_fon2
rmmod isdn_fbox_fon
rmmod userman
rmmod kdsldmod
rmmod ubik2
rmmod tiatm
ps
lsmod
}
##########################################################################################
##########################################################################################
case $1 in
start)
status_test
start_dsl
annex_test
;;
stop)
stop_dsl
;;
*)
echo "use: $0 [start|stop]"
;;
esac
