#if defined(CONFIG_PRODTEST)
echo " "
echo "==============================================================="
echo "======================= TEST-FIRMWARE ========================="
echo "====== This firmware is configured for production test. ======="
echo "==============================================================="
echo " "
#if defined(CONFIG_Fritz_Box_5113_AnnexA)
PTEST_DEFAULT="subnet=178.20 status=120 capiserv=1 potscall=300"
#endif
#if defined(CONFIG_Fritz_Box_5125_AnnexA)
PTEST_DEFAULT="subnet=1.20 dsl=7 usb_h=1 capiserv=1 potscall=300 finalize=1"
#endif
#if defined(CONFIG_Fritz_Box_5130)
PTEST_DEFAULT="subnet=1.20 potscall=120 finalize=1"
#endif
#if defined(CONFIG_Fritz_Box_3270)
PTEST_DEFAULT="subnet=178.20 wlan=cal usb_h=1 status=120 finalize=1"
#endif
#if defined(CONFIG_Fritz_Box_7112)
PTEST_DEFAULT="subnet=178.20 wlan=cal capiserv=1 dsl=7 potscall=300"
#endif
#if defined(CONFIG_Fritz_Box_7113_AnnexA)
PTEST_DEFAULT="subnet=178.20 wlan=cal status=120 capiserv=1 potscall=300"
#endif
#if defined(CONFIG_Fritz_Box_7240)
PTEST_DEFAULT="subnet=178.20 wlan=cal dect=cal usb_h=1 capiserv=1 status=120 potscall=300 finalize=1"
#endif
#if defined(CONFIG_Fritz_Box_7270) || defined(CONFIG_Fritz_Box_7270plus)
PTEST_DEFAULT="subnet=178.20 wlan=cal dect=cal usb_h=1 capiserv=1 status=120 potscall=300"
#endif
#if defined(CONFIG_Fritz_Box_7270_AnnexA)
PTEST_DEFAULT="subnet=178.20 wlan=cal dect=cal usb_h=1 capiserv=1 status=120 potscall=300 finalize=1"
#endif
#if defined(CONFIG_Fritz_Box_7390)
PTEST_DEFAULT="subnet=178.20 wlan=cal dect=cal usb_h=1 capiserv=1 status=120 potscall=300 finalize=1 dsl=adsl"
echo "kernel_args   " >$CONFIG_ENVIRONMENT_PATH/environment
telnetd -l /bin/sh
#endif
#if defined(CONFIG_Fritz_Box_7570)
PTEST_DEFAULT="subnet=178.20 wlan=cal dect=cal usb_h=1 capiserv=1 status=120 potscall=300"
#endif
#if defined(CONFIG_Fritz_Box_7570_HN)
PTEST_DEFAULT="subnet=1.20 wlan=cal dect=cal usb_h=1 capiserv=1 status=120 potscall=300"
#endif
#if defined(CONFIG_Fritz_Box_DECT_W920V)
PTEST_DEFAULT="subnet=2.20 wlan=cal dect=cal usb_h=1 capiserv=1 status=120 potscall=300 finalize=1"
#endif
#if defined(CONFIG_Fritz_Box_SpeedportW503V)
PTEST_DEFAULT="subnet=2.20 wlan=cal capiserv=1 status=120 potscall=300 finalize=1"
#endif
#if defined(CONFIG_Fritz_Box_SpeedportW504V)
PTEST_DEFAULT="subnet=2.20 wlan=cal dect=cal usb_h=1 capiserv=1 status=120 potscall=300 finalize=1"
#endif
#if defined(CONFIG_Fritz_Box_SpeedportW721V)
#PTEST_DEFAULT="subnet=178.20 wlan=cal capiserv=1 status=120 potscall=120"
PTEST_DEFAULT="subnet=2.20 wlan=cal"
#endif
#if defined(CONFIG_Fritz_Box_SpeedportW722V)
PTEST_DEFAULT="subnet=2.20 wlan=cal usb_h=1 capiserv=1 status=120 potscall=300 dsl=adsl"
echo "kernel_args   " >$CONFIG_ENVIRONMENT_PATH/environment
#endif
#if defined(CONFIG_Fritz_Box_Davinci) || defined(CONFIG_Fritz_Box_8160)
PTEST_DEFAULT="subnet=178.20 wlan=cal audio=1 ir=1"
ifconfig eth0 up
ifconfig eth0 192.168.178.1
#endif
#endif

export CONFIG_ENVIRONMENT_PATH=/proc/sys/urlader

PTEST=`cat $CONFIG_ENVIRONMENT_PATH/environment | grep ptest | tr , ' '`
if [ -z "$PTEST" ] ; then
    PTEST=`cat /proc/cmdline | grep ptest | tr , ' '`
fi
#if defined(CONFIG_PRODTEST)
if [ ${#PTEST} -eq 6 ] || [ ${#PTEST} -eq 0 ] ; then
    echo "ptest empty -> setting ptest defaults ["$PTEST_DEFAULT"]"
    PTEST=$PTEST_DEFAULT
fi
#endif

ANNEX_TEST=0
WLAN_TEST=0
DISABLE_WLAN=0
USB_HOST_TEST=0
AB_TEST=0
CAPISERV_TEST=0
STATUS_TEST=0
WLAN_CAL=0
DECT_CAL=0
TRACKING=0
FINALIZE=0
POTSCALL=0
AUDIO_TEST=0
IR_TEST=0

export TFTP_SERVER=192.168.178.20

for i in ${PTEST} ; do
	case $i in
		subnet=*)
            TFTP_SERVER=192.168.${i##subnet=}
            export TFTP_SERVER
            echo "TFTP_SERVER=$TFTP_SERVER"
			;;
		ipaddr=*)
            TEMP_SUBNET=${i##ipaddr=}
            PTEST_SERVER=192.168.${TEMP_SUBNET}
            export PTEST_SERVER
            echo "PTEST_SERVER=$PTEST_SERVER"
            VLAN_GROUP=${TEMP_SUBNET%%.*}
            export VLAN_GROUP
            echo "VLAN_GROUP=$VLAN_GROUP"
			;;
		status=*)
			STATUS_TEST=${i##status=}
            echo "STATUS Test=$STATUS_TEST"
			;;
		dsl=*)
			ANNEX_TEST=${i##dsl=}
            echo "DSL Test=$ANNEX_TEST"
			;;
		wlan=off)
			DISABLE_WLAN=1
            echo "disable wlan $DISABLE_WLAN"
			;;
		wlan=cal)
			DISABLE_WLAN=1
			WLAN_CAL=1
            echo "disable wlan $DISABLE_WLAN"
            echo "wlan cal $WLAN_CAL"
			;;
		wlan=*)
			WLAN_TEST=${i##wlan=}
            echo "WLAN Test $WLAN_TEST"
            WLAN_CHANNEL=${WLAN_TEST%%:*}
            WLAN_COUNT=${WLAN_TEST##*:}
            WLAN_TEST=${WLAN_TEST#*:}
            WLAN_TIME=${WLAN_TEST%%:*}
            echo "wlan channel $WLAN_CHANNEL"
            echo "wlan time $WLAN_TIME"
            echo "wlan count $WLAN_COUNT"
			;;
		ab=*)
			AB_TEST=${i##ab=}
            echo "AB Test $AB_TEST"
			;;
		usb_h=*)
			USB_HOST_TEST=${i##usb_h=}
            echo "USB-Host Test $USB_HOST_TEST"
			;;
		capiserv=*)
			CAPISERV_TEST=${i##capiserv=}
            echo "Start CapiServer $CAPISERV_TEST"
			;;
		finalize=*)
			FINALIZE=${i##finalize=}
            echo "finalize environment $FINALIZE"
			;;
        tracking=*)
            TRACKING=${i##tracking=}
            echo "tracking ptest results $TRACKING"
            ;;
		dect=cal)
			DECT_CAL=1
            echo "dect cal $DECT_CAL"
			;;
		potscall=*)
			POTSCALL=${i##potscall=}
            echo "potscall $POTSCALL"
			;;
		audio=*)
			AUDIO_TEST=${i##audio=}
            echo "audio test $AUDIO_TEST"
			;;
		ir=*)
			IR_TEST=${i##ir=}
            echo "infrared test $IR_TEST"
			;;
	esac
done

if [ ! -z "$PTEST" ] ; then
	echo "ptest   " >$CONFIG_ENVIRONMENT_PATH/environment
fi

export ANNEX_TEST STATUS_TEST WLAN_TEST DISABLE_WLAN AB_TEST CAPISERV_TEST USB_HOST_TEST WLAN_CAL FINALIZE POTSCALL

if [ "$USB_HOST_TEST" = "1" ] ; then
    /usr/bin/usb_host.sh &
fi
if [ "$WLAN_CAL" = "1" ]; then
    /usr/bin/wlan_cal.sh &
fi
if [ "$DECT_CAL" = "1" ]; then
    /usr/bin/dect_cal.sh &
fi
if [ "$CAPISERV_TEST" = "1" ]; then
    /sbin/capi.sh &
fi
if [ "$FINALIZE" != "0" ]; then
    /usr/bin/finalize.sh &
fi
if [ "$TRACKING" = "1" ]; then
    /sbin/tracking &
fi
if [ "$POTSCALL" != "0" ]; then
    /usr/bin/potscalltest.sh &
fi
if [ "$WLAN_TEST" != "0" ]; then
#if defined(CONFIG_Fritz_Box_Davinci)
    /etc/init.d/rc.wlan test $WLAN_TEST
#else
    /usr/bin/wlan_lifetest.sh $WLAN_CHANNEL $WLAN_TIME $WLAN_COUNT &
#endif
fi
#if defined(CONFIG_Fritz_Box_DECT_W920V) || defined(CONFIG_Fritz_Box_SpeedportW503V) || defined(CONFIG_Fritz_Box_7390)  || defined(CONFIG_Fritz_Box_7570) || defined(CONFIG_Fritz_Box_7570_HN) || defined(CONFIG_Fritz_Box_SpeedportW722V)
if [ "$STATUS_TEST" != "0" ]; then
    /usr/bin/dsl_info.sh &
fi
#endif
#if defined(CONFIG_PRODTEST)
#if defined(CONFIG_Fritz_Box_Davinci)
if [ "$AUDIO_TEST" = "1" ]; then
    /usr/bin/audiotest.sh &
fi
if [ "$IR_TEST" = "1" ]; then
    /usr/bin/irtest.sh &
fi
#endif
#endif
