

# bei ZOMBIES_ARE_DEAD=yes werden Zobmies als
# tot angenommen. Dies ist wichtig fuer Aufrufe aus
# dem /etc/inittab heraus (z.b. /var/post_install).

isrunning()
{
  local running
  local i

  for i in `pidof $1` ; do
    if [ "x$ZOMBIES_ARE_DEAD" = "xyes" ] ; then
      if ! grep -q zombie /proc/$i/status >/dev/null 2>/dev/null ; then
	# its no zombie -> assume as still running
        return 0
      fi
    else
      return 0
    fi
  done

  # not running
  return 1
}


termwait()
{
  local x=0
  local running=no
  local timeout=$1
  local i
  shift


  for i in $* ; do
    if isrunning $i ; then
      killall -15 $i
      running=yes
    fi	
  done	

   while [ $running = yes ] && [ "$x" != "$timeout" ] ; do
    running=no
    for i in $* ; do
      if isrunning $i ; then
        running=yes
      fi
    done
    if [ $running = yes ] ; then
      sleep 1
      x=$((x+1))
    fi
  done 
}

# ATTENTION: dont terminate a process here that uses the watchdog while watchdog active!!
termforcedwait()
{
   local i

   termwait $*

   shift

  local running=yes

  while [ $running = yes ] ; do
    running=no
    for i in $* ; do
      if isrunning $i ; then
        killall -9 $i
        running=yes
      fi	
    done
    if [ $running = yes ] ; then
      sleep 1
    fi
  done	
}

termavmwait()
{
  local x=0
  local running=no
  local timeout=$1
  local i
  shift


# first timeout for  <daemon> -s

  for i in $* ; do
    if isrunning $i ; then
      if [ "x$ZOMBIES_ARE_DEAD" = "xyes" ] ; then
        killall -15 $i
      else
        eval $i -s
      fi
      running=yes
    fi	
  done	

  while [ $running = yes ] && [ "$x" != "$timeout" ] ; do
    running=no
    for i in $* ; do
      if isrunning $i ; then
        running=yes
      fi
    done
    if [ $running = yes ] ; then
      sleep 1
      x=$((x+1))
    fi
  done

# another timeout for killall -15
  for i in $* ; do
    if isrunning $i ; then
      killall -15 $i
      running=yes
    fi	
  done	

  while [ $running = yes ] && [ "$x" != "$timeout" ] ; do
    running=no
    for i in $* ; do
      if isrunning $i ; then
        running=yes
      fi
    done
    if [ $running = yes ] ; then
      sleep 1
      x=$((x+1))
    fi
  done
}


# ATTENTION: dont terminate a process here that uses the watchdog while watchdog active!!
termavmforcedwait()
{
   local i
   termavmwait $*

   shift

  local running=yes

  while [ $running = yes ] ; do
    running=no
    for i in $* ; do
      if isrunning $i ; then
        killall -9 $i
	rm -f /var/run/$i.pid
        running=yes
      fi	
    done
    if [ $running = yes ] ; then
      sleep 1
    fi
  done	
}

