#!/usr/bin/haserl -u 200 -U /var/tmp
<%

. /usr/lib/libmodcgi.sh
cgi --id=do_restore
cgi_begin 'Restore configuration'
%>
<h1>Restore configuration</h1>

<% if [ -n "$FORM_uploadfile_name" ]; then %>
	You just uploaded the file <b><% echo -n $FORM_uploadfile_name %></b>.<br>
	It is stored on the Fritz!Box under the temporary name <i><% echo $FORM_uploadfile %></i>.<br>
	The file size is <% cat $FORM_uploadfile | wc -c %> bytes.
	</p>
	<b>Installation log:</b>
	<pre><%
	{
		cd /var/tmp
		export BACKUP_DIR='var_flash'
		export DS_BCK_FILE='ds_mod'
		export FREETZ_BCK_FILE='freetz'
		rm -rf $BACKUP_DIR
		echo "Extracting backup files ... "
		tar xvzf $FORM_uploadfile
		echo "Restoring configuration ... "
		if [ -e "$BACKUP_DIR/$DS_BCK_FILE" ]; then
			echo "Found old backup file"
			mv $BACKUP_DIR/$DS_BCK_FILE $BACKUP_DIR/$FREETZ_BCK_FILE
		fi
		if [ ! -e "$BACKUP_DIR/$FREETZ_BCK_FILE" ]; then
			FORM_restart=off
			echo "ERROR: Not a valid backup file"
		else
		if [ "$FORM_freetz_only" = "on" ]; then
			echo "cat $BACKUP_DIR/$FREETZ_BCK_FILE > /var/flash/freetz"
			cat $BACKUP_DIR/$FREETZ_BCK_FILE > /var/flash/freetz
		else
			for file in $(ls $BACKUP_DIR); do
				echo "cat $BACKUP_DIR/$file > /var/flash/$file"
				cat $BACKUP_DIR/$file > /var/flash/$file
			done
		fi
		echo "DONE"
	fi
	echo "Removing backup ... "
	rm -rf $BACKUP_DIR
	rm -f $FORM_uploadfile
	echo "DONE"
	if [ "$FORM_restart" = "on" ]; then
		echo "Restarting in 5 seconds ... "
		(sleep 5; reboot)&
	fi
	} | html
	%></pre>
<% else %>
	You have not selected any backup file to upload. The Fritz!Box's
	configuration was not changed.
<% fi %>

<p>
<% back_button --title="Back to main page" mod status %>
</p>

<% cgi_end %>
