has_swap() {
	[ "$(/mod/etc/init.d/rc.swap status)" == "running" ] || return 1
}

read_meminfo() {
	eval "$(sed -rne "/^((Mem|Swap)(Total|Free)|(|Swap)Cached):/ s/^([^:]*):[[:space:]]*([0-9]*).*$/mem_\1=\2/p" /proc/meminfo)"
}
read_meminfo

sec_begin 'Main memory (RAM)'

total=$mem_MemTotal
free=$mem_MemFree
cached=$mem_Cached
let usedwc="total-cached-free"
let percent="100*usedwc/total"
let perc_buff="100*cached/total"
echo "<div>$usedwc kB (+ $cached kB cache) of $total kB used, $free kB free</div>"
stat_bar br $percent $perc_buff

sec_end

sec_begin 'Flash memory (TFFS) for configuration data'

echo info > /proc/tffs
percent=$(grep '^fill=' /proc/tffs)
percent=${percent#fill=}
let tffs_size="0x$(awk '/tffs/ { print $2; exit }' /proc/mtd)/1024"
let tffs_used="tffs_size*percent/100"
let tffs_free="tffs_size - tffs_used"
echo "<div>$tffs_used kB of $tffs_size kB used, $tffs_free kB free</div>"
stat_bar $percent

sec_end

if has_swap; then
	sec_begin 'Swap (RAM)'
	total=$mem_SwapTotal
	free=$mem_SwapFree
	cached=$mem_SwapCached
	let usedwc="total-cached-free"
	let percent="100*usedwc/total"
	let perc_buff="100*cached/total"
	echo "<div>$usedwc kB (+ $cached kB cache) of $total kB used, $free kB free</div>"
	stat_bar br $percent $perc_buff
	sec_end
fi
