#! /bin/sh


. /usr/lib/libmodcgi.sh

cgi --id=firmware_update
cgi_begin 'Firmware update'

cat << EOF
<script type="text/javascript">
function CheckInput(form) {
	file_selector=form.elements[0];
	radio_stop=form.elements[1];
	radio_semistop=form.elements[2];
	radio_nostop=form.elements[3];
	downgrade=form.elements[4];
	delete_jffs2=form.elements[5];

	if (file_selector.value=="") {
		alert("No firmware file provided!");
		return false;
	}
	if (radio_stop.checked) {
		file_selector.name="stop_avm";
	}
	else if (radio_semistop.checked) {
		file_selector.name="semistop_avm";
	}
	else {
		file_selector.name="nostop_avm";
	}
	if (downgrade.checked) {
		file_selector.name += ":downgrade";
	}
	if (delete_jffs2.checked) {
		file_selector.name += ":delete_jffs2";
	}

	return true;
}
</script>

<h1>Upload firmware</h1>

<p>First you are encouraged to select a firmware image for uploading. This image
will be loaded to and extracted on the box. Subsequently, <i>/var/install</i>
will be called. If successful, the update can be started by clicking the button
&quot;Reboot&quot;. If &quot;remote firmware update&quot; is selected, the box restarts
automatically after 30 seconds.</p>

<form action="do_firmware.cgi" method="POST" enctype="multipart/form-data" onsubmit="return CheckInput(document.forms[0]);">
	<p>
	<label for="fw_file">Firmware image</label>
	<input type=file size=50 id="fw_file">
	</p>
	<p>
	<input type="radio" name="do_prepare" id="stop_avm" value="stop_avm">
	<label for="stop_avm">Stop AVM services (less memory available)</label><br>
	<input type="radio" name="do_prepare" id="semistop_avm" value="semistop_avm">
	<label for="semistop_avm">Stop some of the AVM services (remote firmware update)</label><br>
	<input type="radio" name="do_prepare" id="nostop_avm" value="nostop_avm" checked>
	<label for="nostop_avm">Do not stop any AVM services (sufficient memory available or pseudo update without reboot)</label>
	</p>
	<p>
	<input type="checkbox" name="downgrade" id="downgrade" value="yes">
	<label for="downgrade">Allow downgrade to older version</label>
	</p>
EOF

if $(grep -q jffs2 /proc/mtd); then
cat << EOF
	<p>
	<input id="jffs" type="checkbox" name"delete_jffs2" value="no">
	<label for="jffs">Delete JFFS2 partition</label>
	</p>
EOF
fi

cat << EOF
	<div class="btn"><input type=submit value="Upload firmware" style="width:200px"></div>
	<div style="clear: both; text-align: right;"><a href="external.cgi">upload external file (optional)</a></div>
</form>

EOF

cgi_end
