//-- ../internet/ipform.js --
var g_mldIpaddrFormatPre = "Error in field %1%IPNetmaskGetway%";
var g_mldIpaddrFormatPost = ": the entry is not a valid IP address.";
var g_mldNetmaskPost = ": the subnet mask entered is illegal.";
var g_mldIpaddrTheNet = ": this is the value of the subnet itself and cannot be used.";
var g_mldIpaddrBroadcast = ": this is the value of the broadcast address in your subnet and cannot be used.";
var g_mldIpaddrDiffNet = ": this address is not in the subnet defined by the IP address and the network mask you entered.";
var g_mld192168180 = "Please do not use the subnet 192.168.180/24. Enter a different IP address.";
var g_txtIpAdr = "IP address";
var g_txtNetmask = "Subnet mask";
var g_txtGateway = "Default gateway";
var g_txtDns1 = "Primary DNS server";
var g_txtDns2 = "Secondary DNS server";
var g_ErrIpOk = 0;
var g_ErrIpDiffNet = 1;
var g_ErrIpTheNet = 2;
var g_ErrIpBroadcast = 3;
function ValidateIpForm180(prefix) {
if (!ValidateIpForm(prefix)) return false;
// 192.168.180/24 verbieten
if (jslGetValue(prefix+"Ipaddr").substr(0,11)=="192.168.180" && jslGetValue(prefix+"Netmask")=="255.255.255.0" ) {
alert(g_mld192168180);
return false;
}
return true;
}
function ValidateIpForm(prefix) {
// sind alle Felder im dotted Quad Format?
if (pppDoValidateIpaddrFormat(jslGetValue(prefix+"Ipaddr")) == false) {
alert(jslPrintf(g_mldIpaddrFormatPre,g_txtIpAdr)+g_mldIpaddrFormatPost);
return false;
}
if (pppDoValidateIpaddrFormat(jslGetValue(prefix+"Netmask")) == false) {
alert(jslPrintf(g_mldIpaddrFormatPre,g_txtNetmask)+g_mldIpaddrFormatPost);
return false;
}
if (pppDoValidateIpaddrFormat(jslGetValue(prefix+"Gateway")) == false) {
alert(jslPrintf(g_mldIpaddrFormatPre,g_txtGateway)+g_mldIpaddrFormatPost);
return false;
}
if (pppDoValidateIpaddrFormat(jslGetValue(prefix+"Dns0")) == false) {
alert(jslPrintf(g_mldIpaddrFormatPre,g_txtDns1)+g_mldIpaddrFormatPost);
return false;
}
if (pppDoValidateIpaddrFormat(jslGetValue(prefix+"Dns1")) == false) {
alert(jslPrintf(g_mldIpaddrFormatPre,g_txtDns2)+g_mldIpaddrFormatPost);
return false;
}
// ist die Netzmaske eine Netzmaske?
if (pppDoValidateNetmask(jslGetValue(prefix+"Netmask")) == false) {
alert(jslGetValue(prefix+"Netmask")+g_mldNetmaskPost);
return false;
}
// sind IP-Adresse und Gateway gültige Adressen im Subnetz?
netbits = GetNetBits(jslGetValue(prefix+"Ipaddr"), jslGetValue(prefix+"Netmask"));
ret = pppDoValidateIpaddr(jslGetValue(prefix+"Ipaddr"), netbits);
if (ret!=g_ErrIpOk) {
if (ret == g_ErrIpTheNet) alert(jslPrintf(g_mldIpaddrFormatPre,g_txtIpAdr)+g_mldIpaddrTheNet);
if (ret == g_ErrIpBroadcast) alert(jslPrintf(g_mldIpaddrFormatPre,g_txtIpAdr)+g_mldIpaddrBroadcast);
return false;
}
ret = pppDoValidateIpaddr(jslGetValue(prefix+"Gateway"), netbits);
if (ret!=g_ErrIpOk) {
if (ret == g_ErrIpDiffNet) alert(jslPrintf(g_mldIpaddrFormatPre,g_txtGateway)+g_mldIpaddrDiffNet);
if (ret == g_ErrIpTheNet) alert(jslPrintf(g_mldIpaddrFormatPre,g_txtGateway)+g_mldIpaddrTheNet);
if (ret == g_ErrIpBroadcast) alert(jslPrintf(g_mldIpaddrFormatPre,g_txtGateway)+g_mldIpaddrBroadcast);
return false;
}
return true;
}
function pppDoValidateIpaddrFormat(addr) {
var pattern = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
if (addr.match(pattern) == null) return false;
pattern.exec(addr);
if (RegExp.$1>255) return false;
if (RegExp.$2>255) return false;
if (RegExp.$3>255) return false;
if (RegExp.$4>255) return false;
return true;
}
function DecToBin(num) {
var ret = '';
for (var i=7; i>=0; i--)
{
if (((1<<i)&num)!=0) ret+='1';
else ret+='0';
}
return ret;
}
function IpToBitstring(mask) {
var pattern = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
var str = '';
pattern.exec(mask);
str+=DecToBin(RegExp.$1);
str+=DecToBin(RegExp.$2);
str+=DecToBin(RegExp.$3);
str+=DecToBin(RegExp.$4);
return str;
}
function pppDoValidateNetmask(mask) {
var str = IpToBitstring(mask);
if (str.match(/^1+0+0$/) == null) return false;
return true;
}
function GetNetBits(addr,mask) {
var netstr = IpToBitstring(addr);
var maskstr = IpToBitstring(mask);
var len = maskstr.indexOf('0');
return netstr.substr(0,len);
}
function pppDoValidateIpaddr(addr,netbits)
{
var addrstr = IpToBitstring(addr);
var netpart = addrstr.substr(0,netbits.length);
var mypart = addrstr.slice(netbits.length);
if (netpart!=netbits) return g_ErrIpDiffNet;
if (mypart.indexOf('1')==-1) return g_ErrIpTheNet;
if (mypart.indexOf('0')==-1) return g_ErrIpBroadcast;
return g_ErrIpOk;
}
