<!-- ../wlan/wlan_devices.js -->
var g_paramTypes = [
"-", // 0
"SSID", // 1
"RSSI", // 2
"MAC", // 3
"Mode", // 4
"Channel", // 5
"TIME_AGE", // 6
"TIME_BLOCKED", // 7
"Radioband", // 8
"CAPABILITIES", // 9
"FREQUENCY", // 10
"QUALITY", // 11
"NOISE" // 12
];
function getParamTypeName(paramType) {
var n = Number(paramType);
if (isNaN(n) || n >= g_paramTypes.length) {
return paramType;
}
return g_paramTypes[n];
}
function readApListFromBox() {
var apList = [];
var ap;
<? multiquery wlan:settings/APEnv/list(radiotype) `
ap = {
idx: "$0",
radiotype: "$2",
checked: false
};
<? multiquery wlan:settings/APEnv$0/paramtype/list(type,value) `
ap[getParamTypeName("$12")] = "$13";
` ?>
apList.push(ap);
` ?>
return apList;
}
function readApListFromXml(xml) {
var docNode = xml.documentElement;
if (!docNode) {
return [];
}
var devNodes = docNode.getElementsByTagName('WlanDev');
if (!devNodes) {
return [];
}
var apList = [];
for (var i = 0, devLen = devNodes.length; i < devLen; i++) {
var ap = {
idx: devNodes[i].getAttribute('idx'),
radiotype: devNodes[i].getAttribute('radio'),
checked: false
}
var itemNodes = devNodes[i].getElementsByTagName('item');
if (itemNodes) {
for (var j = 0, itemLen = itemNodes.length; j < itemLen; j++) {
var t = itemNodes[j].getElementsByTagName('type');
var v = itemNodes[j].getElementsByTagName('value');
if (t && v) {
t = t[0].firstChild ? t[0].firstChild.data : "0";
v = v[0].firstChild ? v[0].firstChild.data : "";
ap[getParamTypeName(t)] = v;
}
}
}
apList.push(ap);
}
return apList;
}
function makeWlanDev(ap) {
var dev = new WlanDev();
for (var prop in ap) {
if (ap.hasOwnProperty(prop)) {
dev[prop] = ap[prop];
}
}
return dev;
}
function WlanDev(){
return this;
}
WlanDev.prototype.GetAktuellenChannel = function () {
if (this.Channel != "") {
return jslEatWhitespace(this.Channel);
}
return 0;
}
WlanDev.prototype.GetStartChannel = function () {
if (this.Channel != "") {
return jslEatWhitespace(this.Channel);
}
return 0;
}
WlanDev.prototype.GetEndChannel = function () {
if (this.Channel != "") {
return jslEatWhitespace(this.Channel);
}
return 0;
}
WlanDev.prototype.GetAktuellenChannelIndex = function () {
var aktuellerindexed = GetIndexedChannelNumber(this.GetAktuellenChannel());
return aktuellerindexed;
}
WlanDev.prototype.GetRoundedStartChannel = function () {
return RoundChannelUp(this.GetStartChannel());
}
WlanDev.prototype.GetRoundedEndChannel = function () {
return RoundChannelDown(this.GetEndChannel());
}
WlanDev.prototype.IsStoerAP = function (nChannel) {
if (this.Channel != "") {
var startchannel = GetIndexedChannelNumber(this.GetRoundedStartChannel());
var endchannel = GetIndexedChannelNumber(this.GetRoundedEndChannel());
if (startchannel <= nChannel && nChannel <= endchannel)
return true;
}
return false;
}
WlanDev.prototype.GetStartChannelIndex = function () {
return GetIndexedChannelNumber(this.GetStartChannel());
}
WlanDev.prototype.GetEndChannelIndex = function () {
return GetIndexedChannelNumber(this.GetEndChannel());
}
var g_AktuellerAP=null;
var g_wlan_usedchannel = "0";
var g_wlan_channelEnv = "";
var g_WlanDevices = new Array();
var g_wlan = {
"band1": {
apList: [],
aktuellerAp: null,
usedchannel: "0",
channelEnv: "",
radar: [],
radio: []
},
"band2": {
apList: [],
aktuellerAp: null,
usedchannel: "0",
channelEnv: "",
radar: [],
radio: []
},
getApList: function (radioband) {
radioband = getRadioband(radioband);
return g_wlan["band"+radioband].apList;
},
getAktuellenAp: function (radioband) {
radioband = getRadioband(radioband);
return g_wlan["band"+radioband].aktuellerAp;
},
getUsedChannel: function (radioband) {
//UsedChannel ist der Kanal, der gerade benutzt wird
radioband = getRadioband(radioband);
return g_wlan["band"+radioband].usedchannel;
},
getChannelEnv: function (radioband) {
radioband = getRadioband(radioband);
return g_wlan["band"+radioband].channelEnv;
}
};
function getRadioband(radioband) {
if (!radioband) {
var mode = parseInt(g_bgMode, 10) || 0;
radioband = mode < 50 ? "1" : "2";
}
return radioband;
}
var g_SortedWlanDevices = new Array();
var g_bgMode = "<? query wlan:settings/bg_mode ?>";
function addRadar(ap) {
if (!ap.radiotype || ap.radiotype != "6") {
return;
}
g_wlan.band2.radar.push(ap);
}
function addRadio(ap) {
if (!ap.radiotype || ap.radiotype != "7") {
return;
}
var band = "band"+ap.Radioband;
g_wlan[band].radio.push(ap);
}
function AddAp(radiotype, WlanDev){
var band = WlanDev.Radioband;
var radioband = getRadioband();
if (radiotype=="1") {
if (!band || band == radioband) {
g_AktuellerAP=WlanDev;
}
if (band) {
g_wlan["band"+band].aktuellerAp = WlanDev;
}
}
else if (radiotype=="2") {
if (!band || band == radioband) {
g_WlanDevices.push(WlanDev);
}
if (band) {
g_wlan["band"+band].apList.push(WlanDev);
}
}
}
function AddWlanDetails(List,n,mac,ssid,rssi,channel,checked) {
var newDev = new WlanDev();
newDev.idx = n;
newDev.checked = checked;
newDev.MAC = mac;
newDev.SSID = ssid;
newDev.RSSI = rssi;
newDev.Channel = channel;
List.push(newDev);
}
function castSigned(z, n) {
n = n || 16;
var maxPosSigned = Math.pow(2, n-1); //(1 << (n-1));
if (z >= 0 && z < maxPosSigned) {
return z;
}
var maxUnsigned = 2 * maxPosSigned; //(1 << n);
if (z < 0) {
return maxUnsigned + z;
}
return z - maxUnsigned;
}
function getShowNoise(channel) {
var radioband = "band1";
if (channel >= 36) {
//return false;
radioband = "band2";
}
var noiseLimit = -78;
var radio = g_wlan[radioband].radio;
var noise;
for (var i = 0, len = radio.length; i < len; i++) {
if (radio[i].Channel) {
var ch = parseInt(radio[i].Channel.split(",")[0], 10) || 0;
if (ch == channel) {
noise = parseInt(radio[i].NOISE, 10);
if (isNaN(noise)) {
return false;
}
return castSigned(noise) > noiseLimit;
}
}
}
return false;
}
function getTimeBlocked(channel) {
if (channel < 36) {
return 0;
}
var radar = g_wlan.band2.radar;
for (var i = 0, len = radar.length; i < len; i++) {
if (radar[i].Channel) {
var ch = parseInt(radar[i].Channel.split(",")[0], 10) || 0;
if (ch == channel) {
return parseInt(radar[i].TIME_BLOCKED, 10) || 0;
}
}
}
return 0;
}
function GetNumOfAps(radioband) {
var apList = g_wlan.getApList(radioband);
return apList.length;
}
function RoundChannelUp(Channel){
if(Channel<20)
return Channel;
if(Channel<=36) return 36;
else if(Channel<=40) return 40;
else if(Channel<=44) return 44;
else if(Channel<=48) return 48;
else if(Channel<=52) return 52;
else if(Channel<=56) return 56;
else if(Channel<=60) return 60;
else if(Channel<=64) return 64;
else if(Channel<=100) return 100;
else if(Channel<=104) return 104;
else if(Channel<=108) return 108;
else if(Channel<=112) return 112;
else if(Channel<=116) return 116;
else if(Channel<=120) return 120;
else if(Channel<=124) return 124;
else if(Channel<=128) return 128;
else if(Channel<=132) return 132;
else if(Channel<=136) return 136;
else if(Channel<=140) return 140;
else return Channel;
}
function RoundChannelDown(Channel){
if(Channel<20)
return Channel;
if(Channel>=140) return 140;
else if(Channel>=136) return 136;
else if(Channel>=132) return 132;
else if(Channel>=128) return 128;
else if(Channel>=124) return 124;
else if(Channel>=120) return 120;
else if(Channel>=116) return 116;
else if(Channel>=112) return 112;
else if(Channel>=108) return 108;
else if(Channel>=104) return 104;
else if(Channel>=100) return 100;
else if(Channel>=64) return 64;
else if(Channel>=60) return 60;
else if(Channel>=56) return 56;
else if(Channel>=52) return 52;
else if(Channel>=48) return 48;
else if(Channel>=44) return 44;
else if(Channel>=40) return 40;
else if(Channel>=36) return 36;
else return Channel;
}
function GetIndexedChannelNumber(nChannel){
if(nChannel==36)return 1;
else if(nChannel==40)return 2;
else if(nChannel==44)return 3;
else if(nChannel==48)return 4;
else if(nChannel==52)return 5;
else if(nChannel==56)return 6;
else if(nChannel==60)return 7;
else if(nChannel==64)return 8;
else if(nChannel==100)return 9;
else if(nChannel==104)return 10;
else if(nChannel==108)return 11;
else if(nChannel==112)return 12;
else if(nChannel==116)return 13;
else if(nChannel==120)return 14;
else if(nChannel==124)return 15;
else if(nChannel==128)return 16;
else if(nChannel==132)return 17;
else if(nChannel==136)return 18;
else if(nChannel==140)return 19;
if(nChannel<20)
return nChannel;
else
return 1;
}
function GetChannelStoerCount(nChannel,radioband){
var apList = g_wlan.getApList(radioband);
var nStoerCount=0;
for (var i=0; i< apList.length; i++) {
if (apList[i].IsStoerAP(nChannel))
nStoerCount++;
}
return nStoerCount;
}
function GetAPEnvCountList(radioband) {
radioband = getRadioband(radioband);
var apList = g_wlan.getApList(radioband);
var maxChannels = radioband == "2" ? 19 : 13;
var apCountArray = [];
for (var j=0; j < maxChannels; j++) {
apCountArray[j] = 0;
}
var idx;
for(var i=0;i<apList.length;i++){
idx = apList[i].GetAktuellenChannelIndex()-1;
apCountArray[idx]++;
}
return apCountArray.join(",");
}
function GetUsedChannel(radioband)
{
//UsedChannel ist der Kanal, der gerade benutzt wird
return g_wlan.getUsedChannel(radioband)
}
function GetCurChannel()
{
//CurChannel beinhaltet auch die 0 für Autokanal
return "<? query wlan:settings/channel ?>";
}
function GetIdxByRssi(rssi)
{
var nrssi=0;
if (rssi!="-1")
{
if( (Number(rssi) >= 0) && (Number(rssi) <=170) ) nrssi = 0;
else if( (Number(rssi) > 170) && (Number(rssi) <=180) ) nrssi = 1;
else if( (Number(rssi) > 180) && (Number(rssi) <=190) ) nrssi = 2;
else if( (Number(rssi) > 190) && (Number(rssi) <=200) ) nrssi = 3;
else if( (Number(rssi) > 200) && (Number(rssi) <=215) ) nrssi = 4;
else if( (Number(rssi) > 215) ) nrssi = 5;
}
else
{
nrssi=6;
}
return nrssi;
}
function compareByRssi(dev1, dev2) {
var rssi1 = parseInt(dev1.RSSI,10) || 0;
var rssi2 = parseInt(dev2.RSSI,10) || 0;
if (rssi1 < rssi2) {
return 1;
}
else if (rssi1 > rssi2) {
return -1;
}
return 0;
}
function SortDevList(radioband) {
g_wlan.band1.apList.sort(compareByRssi);
g_wlan.band2.apList.sort(compareByRssi);
var curList = g_wlan.getApList(radioband);
if (!curList.length && g_WlanDevices.length > 0) {
curList = g_WlanDevices;
}
g_SortedWlanDevices = [];
for (var i = 0, len = curList.length; i < len; i++) {
g_SortedWlanDevices[i] = curList[i];
}
g_SortedWlanDevices.sort(compareByRssi);
}
function compareByRssiAndChecked(dev1, dev2) {
if (dev1.checked && dev2.checked)
return 0;
if (dev1.checked)
return -1;
if (dev2.checked)
return 1;
var rssi1 = parseInt(dev1.RSSI,10) || 0;
var rssi2 = parseInt(dev2.RSSI,10) || 0;
if (rssi1 < rssi2) {
return 1;
}
else if (rssi1 > rssi2) {
return -1;
}
return 0;
}
function SortDevListChecked(radioband) {
g_wlan.band1.apList.sort(compareByRssiAndChecked);
g_wlan.band2.apList.sort(compareByRssiAndChecked);
var curList = g_wlan.getApList(radioband);
if (!curList.length && g_WlanDevices.length > 0) {
curList = g_WlanDevices;
}
g_SortedWlanDevices = [];
for (var i = 0, len = curList.length; i < len; i++) {
g_SortedWlanDevices[i] = curList[i];
}
g_SortedWlanDevices.sort(compareByRssiAndChecked);
}
function GetMac(n)
{
for (var i=0;i<g_SortedWlanDevices.length;i++)
{
if (g_SortedWlanDevices[i].idx==n)
return g_SortedWlanDevices[i];
}
return null;
}
function GetDevByMac(mac)
{
for (var i=0;i<g_SortedWlanDevices.length;i++)
{
if (g_SortedWlanDevices[i].MAC==mac)
return g_SortedWlanDevices[i];
}
return null;
}
function AnyDevices ()
{
return g_SortedWlanDevices.length>0;
}
function MoreThanX()
{
return g_SortedWlanDevices.length>12;
}
function InitWlanList()
{
<? multiquery wlan:settings/APEnv/list(mac,ssid,rssi,channel) `
var ap = {
idx: "$0",
checked: false,
MAC: "$2",
SSID: "$3",
RSSI: parseInt("$4",10) || 0,
Channel: "$5"
};
AddAp("2", makeWlanDev(ap));
` ?>
g_wlan_usedchannel = "<? query wlan:settings/used_channel ?>";
g_wlan_channelEnv = "<? query wlan:settings/channel_env ?>";
}
function GetStartKanal(i,bIs40Mhz,bis5ghz){
var channelwidthleft=0;
if(bis5ghz)
channelwidthleft=bIs40Mhz?1:0;
else
channelwidthleft=bIs40Mhz?4:2;
var startkanal=i-channelwidthleft;
if(startkanal<=0)
return 0;
else
return startkanal;
}
function GetEndKanal(i,bIs40Mhz,bis5ghz){
var channelwidthright=0;
if(bis5ghz)
channelwidthright=0;//weil "immer nur nach links"....bis ich es genauer einbaue"
else
channelwidthright=bIs40Mhz?3:1;//weil "immer nur nach links"....bis ich es genauer einbaue"
var endkanal=i+channelwidthright;
var maxchannel=12;
if(bis5ghz)
maxchannel=18;//???
if(endkanal>=maxchannel)
return maxchannel;
else
return endkanal;
}
