#!/bin/sh


. /usr/lib/libmodcgi.sh
[ -r /etc/options.cfg ] && . /etc/options.cfg

check "$SYSLOGD_ENABLED" yes:auto "*":man
check "$SYSLOGD_NETWORK" yes:network
check "$SYSLOGD_LOCAL" yes:local
check "$SYSLOGD_KLOGD" yes:klogd
check "$SYSLOGD_LOGGING" log_to_file circular_buffer

sec_begin 'Start type'

cat << EOF
<p>
<input id="e1" type="radio" name="enabled" value="yes"$auto_chk> <label for="e1">Automatic</label>
<input id="e2" type="radio" name="enabled" value="no"$man_chk> <label for="e2">Manual</label>
</p>
EOF

sec_end
if [ "$SYSLOGD_LOCAL" = "yes" ]; then
sec_begin 'Extra'

cat << EOF
<ul>
<li><a href="$(href status syslogd log)">Log viewer</a></li>
</ul>
EOF
sec_end
fi
sec_begin 'Options'

cat << EOF
<input type="hidden" name="network" value="no">
<h2>
<input id="r1" type="checkbox" name="network" value="yes"$network_chk>
<label for="r1">Network logger</label>
</h2>
<ul>
<li style="list-style-type: none">
<p>
<label for="r2">Host:</label>
<input id="r2" type="text" name="host" size="20" maxlength="20" value="$(html "$SYSLOGD_HOST")">
<label for="r11">Port:</label>
<input id="r11" type="text" name="port" size="5" maxlength="6" value="$(html "$SYSLOGD_PORT")">
</p>
</li>
</ul>
<input type="hidden" name="local" value="no">
<h2>
<input id="r9" type="checkbox" name="local" value="yes"$local_chk>
<label for="r9">Local logger</label>
</h2>
<ul>
<li style="list-style-type: none">
<h2>
<input id="r3" type="radio" name="logging" value="log_to_file"$log_to_file_chk>
<label for="r3">in logfile (/var/log/messages)</label>
</h2>
<ul>
<li style="list-style-type: none">
<label for="r4">Log file location:</label>
<input id="r4" type="text" name="alternative_logfile" size="30" maxlength="255" value="$(html "$SYSLOGD_ALTERNATIVE_LOGFILE")">
</li>
<li style="list-style-type: none">
<p>Log file rotation:</p>
<ul>
<li style="list-style-type: none">
<label for="r5">Max log file size (in KB):</label>
<input id="r5" type="text" name="maxsize" size="6" maxlength="6" value="$(html "$SYSLOGD_MAXSIZE")">
<br>
<label for="r10">Max number of logs to keep:</label>
<input id="r10" type="text" name="maxfiles" size="2" maxlength="2" value="$(html "$SYSLOGD_MAXFILES")">
</li>
</ul>
</li>
</ul>
</li>
<li style="list-style-type: none">
<h2>
<input id="r6" type="radio" name="logging" value="circular_buffer"$circular_buffer_chk>
<label for="r6">In memory buffer</label>
</h2>
<ul>
<li style="list-style-type: none">
<label for="r7"> (in KB):</label>
<input id="r7" type="text" name="buffer_maxsize" size="5" maxlength="255" value="$(html "$SYSLOGD_BUFFER_MAXSIZE")">
</li>
</ul>
</li>
</ul>
<h2></h2>
EOF

if [ "$FREETZ_BUSYBOX_KLOGD" == "y" ]; then
cat << EOF
<input type="hidden" name="klogd" value="no">
<h2>
<input id="r12" type="checkbox" name="klogd" value="yes"$klogd_chk>
<label for="r12">Activate kernel-log daemon</label>
</h2>
<ul>
<li style="list-style-type: none">
<label for="r13">Kernel Daemon (klogd) loglevel: </label>
<input id="r13" type="text" name="klogd_level" size="2" maxlength="1" value="$(html "$SYSLOGD_KLOGD_LEVEL")">
</li>
</ul>
EOF
fi

cat << EOF
<h2>Additional command line options (for experts)</h2>
<label for="r8">Options:</label>
<input id="r8" type="text" name="expert_options" size="20" maxlength="255" value="$(html "$SYSLOGD_EXPERT_OPTIONS")">

EOF

sec_end
